#include <stdio.h> /*required for file io definitions*/
#include <malloc.h>
#include <stdlib.h>
#include <math.h>

#define PI			3.1415926
#define K8 			8192
#define DBL_MIN 	1E-200
#define NGMAX 		K8
#define NXV 		K8
#define NVY 		NXV/2
#define NSPM 		8	
#define HISTMAX	512
/***********************************/
						  
#if defined(GLOBALORIGIN)
	#define GLOBAL
#else
	#define GLOBAL extern
#endif

GLOBAL float l, dx, dt, la, ael, epsi, rho0, a1, a2, e0, w0, t,
				ese_hist, p;

GLOBAL float *kes_hist, *pxs_hist, *esem_hist, *ms, *qs, *ts, *nms;

GLOBAL float far *ese, far **kes, far **pxs, far **esem, far *ke,
				far *te, far *x, far *vx, far *vy, far *x_array, 
				far *t_array, far *k_array, far *rho, far *phi, far *phik,
				far *e, far *acc;

GLOBAL FILE *InputDeck;

GLOBAL int it, nt, ith, ithl, hist_hi, interval, nsp, localnsp,
				mmax, ng, ng1, iw, k_hi, ins[NSPM+2], np[NSPM+2];

#undef GLOBAL
