# ES1 make file for MS C - to compile type MAKE ES1.MAK
# requires Microsoft MAKE utility

es1.obj	:	es1.c \win\wingraph.h es1.h
 	cl -c -AM -Oilt -FPi es1.c
#	cl -c -AM -Od -Zi -FPi es1.c

init.obj	:	init.c es1.h
	cl -c -AM -Oilt -FPi init.c
#	cl -c -AM -Oilt -Zi -FPi init.c

set.obj:	set.c es1.h
	cl -c -AM -Oilt -FPi set.c
#	cl -c -AM -Oilt -Zi -FPi set.c

accel.obj:	accel.c es1.h
	cl -c -AM -Ox -FPi accel.c
#	cl -c -AM -Ox -Zi -FPi accel.c

move.obj	:	move.c es1.h
	cl -c -AM -Ox -FPi move.c
#	cl -c -AM -Ox -Zi -FPi move.c

fields.obj:	fields.c es1.h
	cl -c -AM -Oilt -Gs -FPi fields.c
#	cl -c -AM -Od -Zi -FPi fields.c

fft.obj	:	fft.c
	cl -c -AM -Ox -FPi fft.c

initwin.obj	  :	  initwin.c \win\wingraph.h es1.h
	cl -c -AM -Ox -FPi initwin.c
#	cl -c -AM -Zi -FPi initwin.c

es1.exe	:	es1.obj init.obj set.obj accel.obj move.obj fields.obj fft.obj initwin.obj \win\wintools.obj \win\wingraph.obj 
	link /ST:2000 $**;
#	link /CO /ST:2000 $**;
