#include <stdio.h>   /* required for file io definitions */
#include <malloc.h>
/* #include <stdlib.h> */
#include <math.h>

#define PI		3.1415926
#define K8 		8192
#define NGMAX 		K8
#define NXV 		K8
#define NVY 		NXV/2
#define NSPM 		8	
#define HISTMAX	        512

#ifndef DBL_MIN
#define DBL_MIN 	1E-200
#endif

/***********************************/
						  
#if defined(GLOBALORIGIN)
#define GLOBAL
#else
#define GLOBAL extern
#endif

GLOBAL double l, dx, dt, la, ael, epsi, rho0, a1, a2, e0, w0, ese_hist, p;

GLOBAL double t;

GLOBAL double *kes_hist, *pxs_hist, *esem_hist, *ms, *qs, *ts, *nms;

GLOBAL double *ese, **kes, **pxs, **esem, *ke, *te, *x, *vx, *vy,
             *x_array,  *t_array, *k_array, *rho, *phi, *phik, *e, *acc;

GLOBAL FILE *InputDeck;

GLOBAL int it, nt, ith, ithl, hist_hi, interval, nsp, localnsp,
           mmax, ng, ng1, iw, k_hi, ins[NSPM+2], np[NSPM+2];

#undef GLOBAL
