#define GLOBALORIGIN
#include "wingraph.h"
#undef GLOBALORIGIN

#include <time.h>
#include <math.h>

/****************************************************************/

int TranslateMsg(msg)
int msg;
{
	int item=0, FirstTime;
	
	FirstTime=1;
		
	while(TRUE){
	
		if(!msg)	msg=  OFF_SET+ getch();
		switch(msg){
			
			case RT_ARROW:
			case ST_RT_ARROW:
				if(FirstTime){
					FirstTime=0;
					item= -1;
				}else{
					Off(menubar[item]);
					DrawMenuItem(&menubar[item]);
				}
				item= (item+1)%MAXMENUBARITEM;
				On(menubar[item]);
				DrawMenuItem(&menubar[item]);
				msg= getch();
				break;
				
			case LT_ARROW:
			case ST_LT_ARROW:
				if(FirstTime){
					FirstTime=0;
					item= 1;
				}else{
					Off(menubar[item]);
					DrawMenuItem(&menubar[item]);
				}
				item= (item+ MAXMENUBARITEM-1)%MAXMENUBARITEM;
				On(menubar[item]);
				DrawMenuItem(&menubar[item]);
				msg= getch();
				break;
			
			case ALT_R:
			case ALT_S:
			case 'r':
			case 'R':
			case 's':
			case 'S':
				On(menubar[0]);
				DrawMenuItem(&menubar[0]);
				Off(menubar[item]);
				DrawMenuItem(&menubar[item]);
				return (0);
				break;
			
			case ALT_E:
			case 'e':
			case 'E':
				On(menubar[1]);
				DrawMenuItem(&menubar[1]);
				Off(menubar[item]);
				DrawMenuItem(&menubar[item]);
				return (1);
				break;
			
			case ALT_T:
			case 't':
			case 'T':
				On(menubar[2]);
				DrawMenuItem(&menubar[2]);
				Off(menubar[item]);
				DrawMenuItem(&menubar[item]);
				return (2);
				break;
				
			case ALT_D:
			case 'd':
			case 'D':
				On(menubar[3]);
				DrawMenuItem(&menubar[3]);
				Off(menubar[item]);
				DrawMenuItem(&menubar[item]);
				return (3);
				break;
			
			case ALT_F:
			case 'f':
			case 'F':
				On(menubar[4]);
				DrawMenuItem(&menubar[4]);
				Off(menubar[item]);
				DrawMenuItem(&menubar[item]);
				return (4);
				break;
			
			case ALT_Q:
			case 'q':
			case 'Q':
				On(menubar[5]);
				DrawMenuItem(&menubar[5]);
				Off(menubar[item]);
				DrawMenuItem(&menubar[item]);
				return (5);
				break;
				
			case RETURN:
				if(FirstTime){
					FirstTime=0;
					On(menubar[item]);
					DrawMenuItem(&menubar[item]);
					msg= getch();
				}else
					return item;
				break;

			case ESC:
				Off(menubar[item]);
				DrawMenuItem(&menubar[item]);
				return msg;
				break;
				
			default:
				if(FirstTime){
					FirstTime=0;
					On(menubar[item]);
					DrawMenuItem(&menubar[item]);
				}
				msg= getch();
				break;
		}
	}
}

/****************************************************************/

DispatchMsg(msg)
int msg;
{
	int item, flag, key;
	
	flag= TRUE;
	while(flag){
		switch(msg){
			case 0:
				if(WasOnBefore(menubar[0])){
					OffBefore(menubar[0]);
					menubar[0].title= "Run";
					runFlag= FALSE;
				}else{
					OnBefore(menubar[0]);
					menubar[0].title= "Stop";
					runFlag= TRUE;
				}
				Off(menubar[0]);
				DrawMenuItem(&menubar[0]);
				_setactivepage(VideoPage ^= NUMPAGES);
				DrawMenuItem(&menubar[0]);
				_setactivepage(VideoPage ^= NUMPAGES);
				flag= FALSE;
				break;
		
			case 1:
				stepFlag= TRUE;
				OffBefore(menubar[0]);
				menubar[0].title= "Run";
				Off(menubar[1]);
				DrawMenuItem(&menubar[0]);
				DrawMenuItem(&menubar[1]);
				flag= FALSE;
				break;

			case 2:
				Off(menubar[2]);
				DrawMenuItem(&menubar[2]);
				msg= Tools();
				if(!msg) flag= FALSE;
				else if(msg == RT_ARROW || msg == ST_RT_ARROW)  msg=3;
				else if(msg == LT_ARROW ||	msg == ST_LT_ARROW) msg=4;
				break;

			case 3:
				Off(menubar[3]);
				DrawMenuItem(&menubar[3]);
				msg= Diagnostics();
				if(!msg) flag= FALSE;
				else if(msg == RT_ARROW || msg == ST_RT_ARROW) msg=4;
				else if(msg == LT_ARROW || msg == ST_LT_ARROW) msg=2;
				break;

			case 4:
				Off(menubar[4]);
				DrawMenuItem(&menubar[4]);
				msg= FileTools(); 
				if(!msg) flag= FALSE;
				else if(msg == RT_ARROW || msg == ST_RT_ARROW) msg=2;
				else if(msg == LT_ARROW || msg == ST_LT_ARROW) msg=3;
				break;
					
			case 5:
				ExitMsg("  Do you really want to exit?");
				Off(menubar[5]);
				DrawMenuItem(&menubar[5]);
				return (NOMSG);
				break;

			default:
				break;
		}
	}
}

/****************************************************************/

MoveWindow(item)
int item;
{
	int key=0, oldulx, olduly, oldlrx, oldlry;
	
	oldulx= WIN.ulx;
	olduly= WIN.uly;
	oldlrx= WIN.lrx;
	oldlry= WIN.lry;

	PrintMsg("Use arrow keys to move the window. Press return when done.");
	while(key != RETURN){

		if(kbhit()){
	
			key = getch();
			if(!key) key = getch()+ OFF_SET;
						
			if(key == RT_ARROW){
				if((WIN.lrx+SLOW) <= SCREENWIDTH-3){
					XorBoundary(item);
					WIN.ulx += SLOW;
					WIN.lrx += SLOW;
					XorBoundary(item);
				}
			}
			else if(key == ST_RT_ARROW){
				if((WIN.lrx+FAST) <= SCREENWIDTH-3){
					XorBoundary(item);
					WIN.ulx += FAST;
					WIN.lrx += FAST;
					XorBoundary(item);
				}else{
					XorBoundary(item);
					WIN.ulx = SCREENWIDTH-3-Width(WIN);
					WIN.lrx = SCREENWIDTH-3;
					XorBoundary(item);
				}
			}
			else if( key == LT_ARROW){
				if((WIN.ulx-SLOW) >=3){
					XorBoundary(item);
					WIN.ulx -= SLOW;
					WIN.lrx -= SLOW;
					XorBoundary(item);
				}
			}
			else if( key == ST_LT_ARROW){
				if((WIN.ulx-FAST) >=3){
					XorBoundary(item);
					WIN.ulx -= FAST;
					WIN.lrx -= FAST;
					XorBoundary(item);
				}else{
					XorBoundary(item);
					WIN.lrx = 3+Width(WIN);
					WIN.ulx = 3;
					XorBoundary(item);
				}
			}
			else if( key == UP_ARROW){
				if((WIN.uly-SLOW) >= MENUBAR_LRY){
					XorBoundary(item);
					WIN.uly -= SLOW;
					WIN.lry -= SLOW;
					XorBoundary(item);
				}
			}
			else if( key == ST_UP_ARROW){
				if((WIN.uly-FAST) >= MENUBAR_LRY){
					XorBoundary(item);
					WIN.uly -= FAST;
					WIN.lry -= FAST;
					XorBoundary(item);
				}else{
					XorBoundary(item);
					WIN.lry = MENUBAR_LRY+Height(WIN);
					WIN.uly = MENUBAR_LRY;
					XorBoundary(item);
				}
			}
			else if( key == DN_ARROW){
				if((WIN.lry+SLOW) <= SCREENHEIGHT-3){
					XorBoundary(item);
					WIN.uly += SLOW;
					WIN.lry += SLOW;
					XorBoundary(item);
				}
			}
			else if( key == ST_DN_ARROW){
				if((WIN.lry+FAST) <= SCREENHEIGHT-3){
					XorBoundary(item);
					WIN.uly += FAST;
					WIN.lry += FAST;
					XorBoundary(item);
				}else{
					XorBoundary(item);
					WIN.uly = SCREENHEIGHT-3-Height(WIN);
					WIN.lry = SCREENHEIGHT-3;
					XorBoundary(item);
				}
			}
			else if( key == RETURN);
			else	
				PrintMsg("Use ONLY arrows. Try shift arrow keys for faster motion.");
		}
	}
	PrintMsg("");
	On(WIN);
	OffBefore(WIN);
	CheckMarkOn(diagnostic[item]);
	HighestPriority(item);
	CheckCoverage();
	RecoverRgn(oldulx, olduly, oldlrx, oldlry);
}

/****************************************************************/

ResizeWindow(item)
int item;
{
	int key=0, oldulx, olduly, oldlrx, oldlry;
	
	oldulx= WIN.ulx;
	olduly= WIN.uly;
	oldlrx= WIN.lrx;
	oldlry= WIN.lry;

	PrintMsg("Use the arrow keys to mark the side to be resized.");
	
	while(key != RETURN){

		if(kbhit()){
	 
			key = getch();
			if(!key) key = getch()+ OFF_SET;
						
			if(key == RT_ARROW || key == ST_RT_ARROW){
				
				PrintMsg("use left & right arrows to move this side. Press retun when done.");
				while(key != RETURN){
					if(kbhit()){
						key = getch();
						if(!key) key = getch()+ OFF_SET;
						
						if(key == RT_ARROW){
							if((WIN.lrx+SLOW) <= SCREENWIDTH-3){
								XorBoundary(item);
								WIN.lrx += SLOW;
								XorBoundary(item);
							}
						}
						else if(key == ST_RT_ARROW){
							if((WIN.lrx+FAST) <= SCREENWIDTH-3){
								XorBoundary(item);
								WIN.lrx += FAST;
								XorBoundary(item);
							}else{
								XorBoundary(item);
								WIN.lrx = SCREENWIDTH - 3;
								XorBoundary(item);
							}
						}
						else if(key == LT_ARROW){
							if(Width(WIN) > MINWINWIDTH){
								XorBoundary(item);
								WIN.lrx -= SLOW;
								XorBoundary(item);
							}
						}
						else if(key == ST_LT_ARROW){
							if(Width(WIN) > MINWINWIDTH){
								XorBoundary(item);
								WIN.lrx -= FAST;
								XorBoundary(item);
							}
						}
						else if(key == RETURN) ;
						else PrintMsg("Use ONLY left and right arrows");
					}
				}
				PrintMsg("Use arrows for other sides if more resizing is desired, else press return.");
				key = 0;
			}
			
			else if(key == LT_ARROW || key == ST_LT_ARROW){
				
				PrintMsg("Use left & right arrows to move this side. Press return when done.");
				while(key != RETURN){
					if(kbhit()){
						key = getch();
						if(!key) key = getch()+ OFF_SET;
						
						if(key == RT_ARROW){
							if(Width(WIN) > MINWINWIDTH){
								XorBoundary(item);
								WIN.ulx += SLOW;
								XorBoundary(item);
							}
						}
						else if(key == ST_RT_ARROW){
							if(Width(WIN) > MINWINWIDTH){
								XorBoundary(item);
								WIN.ulx += FAST;
								XorBoundary(item);
							}
						}
						else if(key == LT_ARROW){
							if((WIN.ulx-SLOW) >=3){
								XorBoundary(item);
								WIN.ulx -= SLOW;
								XorBoundary(item);
							}
						}
						else if(key == ST_LT_ARROW){
							if((WIN.ulx-FAST) >=3){
								XorBoundary(item);
								WIN.ulx -= FAST;
								XorBoundary(item);
							}else{
								XorBoundary(item);
								WIN.ulx = 3;
								XorBoundary(item);
							}
						}
						else if(key == RETURN);
						else PrintMsg("Use ONLY left and right arrows");
					}
				}
				PrintMsg("Use arrows for other sides if more resizing is desired, else press return.");
				key = 0;
			}
			
			else if(key == UP_ARROW || key == ST_UP_ARROW){
				
				PrintMsg("Use up & down arrows to move this side. Press return when done.");
				while(key != RETURN){
					if(kbhit()){
						key = getch();
						if(!key) key = getch()+ OFF_SET;
						
						if(key == DN_ARROW){
							if(Height(WIN) > MINWINHEIGHT){
								XorBoundary(item);
								WIN.uly += SLOW;
								XorBoundary(item);
							}
						}
						else if(key == ST_DN_ARROW){
							if(Height(WIN) > MINWINHEIGHT){
								XorBoundary(item);
								WIN.uly += FAST;
								XorBoundary(item);
							}
						}
						else if(key == UP_ARROW){
							if((WIN.uly-SLOW) >= MENUBAR_LRY){
								XorBoundary(item);
								WIN.uly -= SLOW;
								XorBoundary(item);
							}
						}
						else if(key == ST_UP_ARROW){
							if((WIN.uly-FAST) >= MENUBAR_LRY){
								XorBoundary(item);
								WIN.uly -= FAST;
								XorBoundary(item);
							}else{
								XorBoundary(item);
								WIN.uly = MENUBAR_LRY;
								XorBoundary(item);
							}
						}
						else if(key == RETURN);
						else PrintMsg("Use ONLY up and down arrows");
					}
				}
				PrintMsg("Use arrows for other sides if more resizing is desired, else press return.");
				key = 0;
			}
			
			else if(key == DN_ARROW || key == ST_DN_ARROW){
				
				PrintMsg("Use up & down arrows to move this side. Press return when done.");
				while(key != RETURN){
					if(kbhit()){
						key = getch();
						if(!key) key = getch()+ OFF_SET;
						
						if(key == DN_ARROW){
							if((WIN.lry+SLOW) <= SCREENHEIGHT-3){
								XorBoundary(item);
								WIN.lry += SLOW;
								XorBoundary(item);
							}
						}
						else if(key == ST_DN_ARROW){
							if((WIN.lry+FAST) <= SCREENHEIGHT-3){
								XorBoundary(item);
								WIN.lry += FAST;
								XorBoundary(item);
							}else{
								XorBoundary(item);
								WIN.lry = SCREENHEIGHT-3;
								XorBoundary(item);
							}
						}
						else if(key == UP_ARROW){
							if(Height(WIN) > MINWINHEIGHT){
								XorBoundary(item);
								WIN.lry -= SLOW;
								XorBoundary(item);
							}
						}
						else if(key == ST_UP_ARROW){
							if(Height(WIN) > MINWINHEIGHT){
								XorBoundary(item);
								WIN.lry -= FAST;
								XorBoundary(item);
							}
						}
						else if(key == RETURN);
						else PrintMsg("Use ONLY up and down arrows");
					}
				}
				PrintMsg("Use arrows for other sides if more resizing is desired, else press return.");
				key = 0;
			}
		}
	}
	PrintMsg("");
	On(WIN);
	OffBefore(WIN);
	CheckMarkOn(diagnostic[item]);
	HighestPriority(item);
	CheckCoverage();
	RecoverRgn(oldulx, olduly, oldlrx, oldlry);
}

/****************************************************************/

RescaleWindow(item)
int item;
{
	char buffer[70];
	sprintf(buffer, "Rescaling the %s window", WIN.Y_Label);
	rescaledb.msg= buffer;
	if(IsSemilog(WIN))
	{
		WIN.ymax= pow(10.0, WIN.ymax);
		WIN.ymin= pow(10.0, WIN.ymin);
	}
	(float *) rescaledb.list[0].ptr= &WIN.ymax;
	(float *) rescaledb.list[1].ptr= &WIN.ymin;
	(int *) rescaledb.list[2].ptr= &WIN.state;
	(float *) rescaledb.list[3].ptr= &WIN.xmax;
	(float *) rescaledb.list[4].ptr= &WIN.xmin;
	(int *) rescaledb.list[5].ptr= &WIN.state;
	
	if(DialogBox(&rescaledb) == ESC)	return;
	
	if(IsYAutoRescaleBefore(WIN) && !IsYAutoRescale(WIN))
		YNotAutoRescaleBefore(WIN);
	
	if(IsXAutoRescaleBefore(WIN) && !IsXAutoRescale(WIN))
		XNotAutoRescaleBefore(WIN);
	
	if(IsSemilog(WIN))
	{
		WIN.ymax= log10(WIN.ymax + DBL_MIN);
		WIN.ymin= log10(WIN.ymin + DBL_MIN);
	}
	CheckMarkOn(diagnostic[item]);
	OffBefore(WIN);
	HighestPriority(item);
	CheckCoverage();
	PaintWindow(item);
}

/****************************************************************/
#define LEFT	3
#define RIGHT	SCREENWIDTH-3
#define TOP		MENUBAR_LRY
#define BOTTOM	SCREENHEIGHT-3

Crosshair()
{
	char buffer[50];
	int i, item, cross_x, cross_y, key=0, in_win=0;
	float mx, bx, my, by, ymax, ymin;

	cross_y = SCREENHEIGHT/2;
	cross_x = SCREENWIDTH/2;

	EGALINE(LEFT, cross_y, RIGHT, cross_y, XCOLOR, VideoPage);
	EGALINE(cross_x, TOP, cross_x, BOTTOM, XCOLOR, VideoPage);
	PrintMsg("Use arrow keys to move the cross");
	
	while(TRUE)
	{
		if(!in_win){
			for(i=HighestP; i>=0; i--)
				if ((window[priorityq[i]].ulx <= cross_x)
					&& (window[priorityq[i]].uly <= cross_y)
					&& (window[priorityq[i]].lrx >= cross_x)
					&& (window[priorityq[i]].lry >= cross_y)) break;

			item= priorityq[i];
			if (i>=0)
			{
				in_win = 1;
				ymax= WIN.ymax;
				ymin= WIN.ymin;
				
				mx = (WIN.xmax - WIN.xmin)/(WIN.lrxc - WIN.ulxc);
				bx = (WIN.xmin*WIN.lrxc - WIN.xmax*WIN.ulxc)/(WIN.lrxc - WIN.ulxc);
				my = (ymax - ymin)/(WIN.ulyc - WIN.lryc);
				by = (ymin*WIN.ulyc - ymax*WIN.lryc)/(WIN.ulyc - WIN.lryc);
			}
		}
		if (in_win){
			if(IsSemilog(WIN))
				sprintf(buffer, "x = %.4G    y = %.4G", cross_x*mx+bx, pow(10.0, cross_y*my+by));
			else
				sprintf(buffer, "x = %.4G    y = %.4G", cross_x*mx+bx, cross_y*my+by);
			PrintMsg(buffer);
		}
		else	PrintMsg("");

		key = getch();
		if(!key) key = getch()+ OFF_SET;
		
		switch(key)
		{
			case ESC:
			case RETURN:
				EGALINE(LEFT, cross_y, RIGHT, cross_y, XCOLOR, VideoPage);
				EGALINE(cross_x, TOP, cross_x, BOTTOM, XCOLOR, VideoPage);
				PrintMsg("");
				return;
				break;

			case RT_ARROW:
				EGALINE(cross_x, TOP, cross_x, BOTTOM, XCOLOR, VideoPage);
				if(cross_x < RIGHT) cross_x++;
				EGALINE(cross_x, TOP, cross_x, BOTTOM, XCOLOR, VideoPage);
				if (cross_x > WIN.lrx) in_win = 0;
				break;
				
			case ST_RT_ARROW:
				EGALINE(cross_x, TOP, cross_x, BOTTOM, XCOLOR, VideoPage);
				if(cross_x < RIGHT) cross_x+= 8;
				else cross_x= RIGHT;
				EGALINE(cross_x, TOP, cross_x, BOTTOM, XCOLOR, VideoPage);
				if (cross_x > WIN.lrx) in_win = 0;
				break;

			case LT_ARROW:
				EGALINE(cross_x, TOP, cross_x, BOTTOM, XCOLOR, VideoPage);
				if(cross_x > LEFT) cross_x--;
				EGALINE(cross_x, TOP, cross_x, BOTTOM, XCOLOR, VideoPage);
				if (cross_x < WIN.ulx) in_win = 0;
				break;
				
			case ST_LT_ARROW:
				EGALINE(cross_x, TOP, cross_x, BOTTOM, XCOLOR, VideoPage);
				if(cross_x > LEFT) cross_x-= 8;
				else cross_x= LEFT;
				EGALINE(cross_x, TOP, cross_x, BOTTOM, XCOLOR, VideoPage);
				if (cross_x < WIN.ulx) in_win = 0;
				break;
				
			case UP_ARROW:
				EGALINE(LEFT, cross_y, RIGHT, cross_y, XCOLOR, VideoPage);
				if(cross_y > TOP) cross_y--;
				EGALINE(LEFT, cross_y, RIGHT, cross_y, XCOLOR, VideoPage);
				if (cross_y < WIN.uly) in_win = 0;
				break;

			case ST_UP_ARROW:
				EGALINE(LEFT, cross_y, RIGHT, cross_y, XCOLOR, VideoPage);
				if(cross_y > TOP) cross_y-= 8;
				else cross_y= TOP; 
				EGALINE(LEFT, cross_y, RIGHT, cross_y, XCOLOR, VideoPage);
				if (cross_y < WIN.uly) in_win = 0;
				break;

			case DN_ARROW:
				EGALINE(LEFT, cross_y, RIGHT, cross_y, XCOLOR, VideoPage);
				if(cross_y < BOTTOM) cross_y++;
				EGALINE(LEFT, cross_y, RIGHT, cross_y, XCOLOR, VideoPage);
				if (cross_y > WIN.lry) in_win = 0;
				break;

			case ST_DN_ARROW:
				EGALINE(LEFT, cross_y, RIGHT, cross_y, XCOLOR, VideoPage);
				if(cross_y < BOTTOM) cross_y+= 8;
				else cross_y= BOTTOM; 
				EGALINE(LEFT, cross_y, RIGHT, cross_y, XCOLOR, VideoPage);
				if (cross_y > WIN.lry) in_win = 0;
				break;
		}
	}
}

/****************************************************************/

RefreshScreen()
{
	int item;
	
	_setactivepage(VideoPage ^= NUMPAGES);
	UpdateTimer();	

	if(PSDumpPeriod)
	{
		if(!(PostCnt = (++PostCnt) % PSDumpPeriod) && PSDumpLimit>0)
		{
			IncFileName(PSFile);
			PSScreen();
		}
	}
	if(CGMDumpPeriod)
	{
		if(!(CGMCnt = (++CGMCnt) % CGMDumpPeriod) && CGMDumpLimit>0)
		{
			IncFileName(CGMFile);
			CGMScreen();
		}
	}

	for(item=0; item <= HighestP; item++)
		(*plotptr)(priorityq[item]);
	
	_setvisualpage(VideoPage);
}

/****************************************************************/

PSScreen()
{
	int item;

	if(PSDumpLimit)  PSDumpLimit--;
	(*plotptr) = PSWindow;

	if(!(fp= fopen(PSFile, "w"))) 
	{
		ExitMsg("PSScreen: File was not opened properly!");
		return;
	}
	PSHeader();
	for(item=0; item <= HighestP; item++)
		(*plotptr)(priorityq[item]);
	
	fprintf(fp, "showpage\n\n");
	if(fclose(fp)) ExitMsg("PSScreen: File was not closed properly!");

	*plotptr = PaintWindow;
}

/****************************************************************/

IncFileName(FileName)
char *FileName;
{
	int i, j, dotindex, zeroindex, success_flag;

	success_flag = FALSE;
	i = dotindex = 0;
	while (FileName[i])
	{
		if (FileName[i]=='.') dotindex = i;
		i++;
	}

	zeroindex = i;
	j = dotindex;
	if (isdigit(FileName[--j]))
	{
		while (isdigit(FileName[j]) && j>=0)
		{
			if (FileName[j] == '9') FileName[j] = '0';
			else
			{
				FileName[j]++;
				success_flag = TRUE;
				break;
			}
			j--;
		}
		if (!success_flag)
			if (dotindex<8)
			{
				for (i=zeroindex; i>=dotindex; i--) FileName[i+1] = FileName[i];
				FileName[++i] = '0';
				FileName[++j] = '1';
			}
			else FileName[j] = '1';
	}
	else if (dotindex<8)
	{
		for (j=zeroindex; j>=dotindex; j--) FileName[j+1] = FileName[j];
		FileName[++j] = '0';
	}
	else FileName[dotindex-1] = '0';
}

/****************************************************************/

#include "winmeta.h"

CGMScreen()
{
	int item;
	char buffer[80];
	time_t ltime;

	if(CGMDumpLimit) CGMDumpLimit--;
	(*plotptr) = CGMWindow;

	CGMPrologue(CGMFile);

	EDGE(OFF);
	FILLTYPE(FILLED);
	FILLCOLOR(1);
	Rectangle(CGMx(0), CGMy(0), CGMx(SCREENWIDTH), CGMy(SCREENHEIGHT));
	FILLCOLOR(11);
	Rectangle(CGMx(2), CGMy(3*CHAR_HEIGHT/2+2), CGMx(SCREENWIDTH-2),
		CGMy(SCREENHEIGHT-2));
	FILLCOLOR(12);
	Rectangle(CGMx(2), CGMy(2), CGMx(SCREENWIDTH-2), CGMy(3*CHAR_HEIGHT/2));

	TEXTFONT(TR);
	TEXTCOLOR(1);
	TEXTHEIGHT(CGMdy(CHAR_HEIGHT-2));
	TextAngle(0);
	time(&ltime);
	TextAlign(LEFTALIGN, BOTTOMALIGN);
	CGMText(CGMx(10), CGMy(CHAR_HEIGHT+2), ctime(&ltime));
	TextAlign(CENTERALIGN, BOTTOMALIGN);
	CGMText(CGMx(SCREENWIDTH/2), CGMy(CHAR_HEIGHT+2), CGMFile);
	sprintf(buffer, "%s %G", TimePtr, TimeStep);
	TextAlign(RIGHTALIGN, BOTTOMALIGN);
	CGMText(CGMx(SCREENWIDTH-10), CGMy(CHAR_HEIGHT+2), buffer);

	for(item=0; item <= HighestP; item++)
		(*plotptr)(priorityq[item]);
	 
	ENDPICTURE;
	ENDMETA;

	*plotptr = PaintWindow;
}

/****************************************************************/

void InitMenuBar()
{
	int i;
	struct videoconfig config;
	
	/******************************************************/
	/* Initializing the screen and some of the utilities. */
	
	Screen(EGA);
	_getvideoconfig(&config);
	
	SCREENWIDTH = config.numxpixels;
	SCREENHEIGHT= config.numypixels;
	NUMPAGES    = config.numvideopages-1;
	VideoPage = 0;
	
	CheckMark[0]= 16;
	CheckMark[1]= 0;
	
	COLOR[0] = 15;
	COLOR[1] = 10;
	COLOR[2] = 13;
	COLOR[3] = 11;
	COLOR[4] = 14;
	COLOR[5] = 9;
	COLOR[6] = 12;
	COLOR[7] = 8;

	i=0;
	PSFile[i++]= '0';
	PSFile[i++]= '.';
	PSFile[i++]= 'p';
	PSFile[i++]= 's';

	i=0;
	CGMFile[i++] = '0';
	CGMFile[i++] = '.';
	CGMFile[i++] = 'c';
	CGMFile[i++] = 'g';
	CGMFile[i++] = 'm';

	i=0;
	DFile[i++] = '0';
	DFile[i++] = '.';
	DFile[i++] = 'd';
	DFile[i++] = 'm';
	DFile[i++] = 'p';

	i=0;
	while(InputFile[i])
	{
		if(InputFile[i] == '.')	break;
		else
		{
			PSFile[i]= CGMFile[i]= DFile[i]= InputFile[i];
			i++;
		}
	}

	DFile[i]  = '.';
	DFile[i+1]= 'd';
	DFile[i+2]= 'm';
	DFile[i+3]= 'p';
	
	PSFile[i]  = '.';
	PSFile[i+1]= 'p';
	PSFile[i+2]= 's';

	CGMFile[i]  = '.';
	CGMFile[i+1]= 'c';
	CGMFile[i+2]= 'g';
	CGMFile[i+3]= 'm';
	
	*plotptr = PaintWindow;

	InitRescaleDialogBox();
	InitPSDialogBox();
	InitCGMDialogBox();
	InitDFDialogBox();
	InitMessageDialogBox();

	/***********************************/
	
	menubar= (MenuItemType)calloc(MAXMENUBARITEM, sizeof(struct menu_item));
		
	menubar[0].title= "Run";
	menubar[1].title= "stEp";
	menubar[2].title= "Tools";
	menubar[3].title= "Diagnostics";
	menubar[4].title= "File";
	menubar[5].title= "Quit";
	
	menubar[0].length = 70;
	menubar[1].length = 70;
	menubar[2].length = 70;
	menubar[3].length = 120;
	menubar[4].length = 80;
	menubar[5].length = 70;


	for(VideoPage=NUMPAGES; VideoPage >= 0; VideoPage--)
	{
		_setactivepage(VideoPage);
		
		_setcolor(BKGDCOLOR);
		_rectangle(_GFILLINTERIOR,0, 0, SCREENWIDTH, SCREENHEIGHT);
		
		_setcolor(BKGDMSGCOLOR);
		_rectangle(_GFILLINTERIOR,0, 0, SCREENWIDTH, CHAR_HEIGHT);
		
		_setcolor(MENUBKGDCOLOR);
		_rectangle(_GFILLINTERIOR,0, MENUBAR_LRY, 2, SCREENHEIGHT);
		_rectangle(_GFILLINTERIOR,0, SCREENHEIGHT-2, SCREENWIDTH, SCREENHEIGHT);
		_rectangle(_GFILLINTERIOR, SCREENWIDTH-2, MENUBAR_LRY, SCREENWIDTH,
			SCREENHEIGHT);
		_rectangle(_GFILLINTERIOR,0, MENUBAR_ULY, SCREENWIDTH,
			MENUBAR_ULY+CHAR_HEIGHT);
			
		for(i=0; i< MAXMENUBARITEM; i++)
		{
			if(!i) menubar[i].ulx= 0;
			else	
				menubar[i].ulx = menubar[i-1].ulx + menubar[i-1].length +1;
		
			menubar[i].uly = MENUBAR_ULY;
			DrawMenuItem(&menubar[i]);
		}
	}
	VideoPage = 0;
	TOOLS_ULX= menubar[2].ulx;
	DIAGNOSTIC_ULX= menubar[3].ulx;		
	FILETOOL_ULX= menubar[4].ulx;
}

/****************************************************************/

void InitTools()
{
	int i;
	
	tool= (MenuItemType)calloc(MAXTOOLS, sizeof(struct menu_item));
	
	tool[0].title= "Move";
	tool[1].title= "Resize";
	tool[2].title= "rEscale";
	tool[3].title= "Noerase";
	tool[4].title= "Cross-hair";
	
	tool[0].code = 'm';
	tool[1].code = 'r';
	tool[2].code = 'e';
	tool[3].code = 'n';
	tool[4].code = 'c';
	
	for(i=0; i< MAXTOOLS; i++){
		tool[i].ulx = TOOLS_ULX;
		tool[i].uly = MENUBAR_LRY -1 + i*CHAR_HEIGHT;
		tool[i].length= 100;
	}
}

/****************************************************************/

void InitDiagnostics()
{
	int i, j, temp, MaxLength=0;
	
	diagnostic= (MenuItemType)calloc(MAXWINDOWS, sizeof(struct menu_item));

	for(i=0; i< MAXWINDOWS; i++){
		diagnostic[i].title= window[i].Y_Label;
		
		diagnostic[i].code= tolower(window[i].Y_Label[0]);
		
		temp= strlen(window[i].Y_Label);
		MaxLength= (MaxLength > temp) ? MaxLength : temp;
	}
	MaxLength = (MaxLength+3)*CHAR_WIDTH;
	
	for(i=0; i< MAXWINDOWS; i++){
		diagnostic[i].ulx = DIAGNOSTIC_ULX;
		diagnostic[i].uly = MENUBAR_LRY -1 + i*CHAR_HEIGHT;
		diagnostic[i].length= MaxLength;
	}
}

/****************************************************************/

void InitFileTool()
{
	int i;
	
	print= (MenuItemType)calloc(MAXFILETOOL, sizeof(struct menu_item));
	
	print[0].title= "CGM file";
	print[1].title= "PostScript";
	print[2].title= "dump File";
	print[3].title= "Dot Matrix";
	
	print[0].code= 'c';
	print[1].code= 'p';
	print[2].code= 'f';
	print[3].code= 'd';
	
	for(i=0; i< MAXFILETOOL; i++){
		print[i].ulx = FILETOOL_ULX;
		print[i].uly = MENUBAR_LRY -1 + i*CHAR_HEIGHT;
		print[i].length= 120;
	}
}

/****************************************************************/

Screen(scrn)
int scrn;
{
	switch (scrn)
	{
		case EGA:
			_setvideomode(16);
			_displaycursor(_GCURSOROFF);
			SET8X8FONT();
			break;
		case TEXT:
			_setvideomode(_DEFAULTMODE);
			_displaycursor(_GCURSORON);
			break;
		default: 
			break;
	}
}

/****************************************************************/

Tools()
{
	int ToolItem, WindowItem= LT_ARROW;
	
	while(WindowItem == LT_ARROW || WindowItem == ST_LT_ARROW 
		|| WindowItem == -1){
		
		ToolItem  = DisplayMenuAndPickItem(tool, 1);
		if(ToolItem == -1) return (0);
		
		else if(ToolItem == RT_ARROW || ToolItem == ST_RT_ARROW ||
			ToolItem == LT_ARROW || ToolItem == ST_LT_ARROW)
			return(ToolItem);
		
		if(ToolItem != 4)
			WindowItem= DisplayMenuAndPickItem(diagnostic, 2);
		else
			WindowItem=0;
		
		if((WindowItem != LT_ARROW && WindowItem != RT_ARROW &&
		   WindowItem != ST_LT_ARROW && WindowItem != ST_RT_ARROW
			&& WindowItem != -1) || WindowItem == 0){
			switch(ToolItem){
				case 0:
					MoveWindow(WindowItem);
					break;
			
				case 1:
					ResizeWindow(WindowItem);
					break;
			
				case 2:
					RescaleWindow(WindowItem);
					break;
			
				case 3:
					if(IsNoErase(window[WindowItem]))
					{
						Erase(window[WindowItem]);
						OffBefore(window[WindowItem]);
					}
					else
						NoErase(window[WindowItem]);
					break;

				case 4:
					Crosshair();
					break;
				
				default:
					break;
			}
		}
	}
	return (0);
}

/****************************************************************/

Diagnostics()
{
	int nextw, item;

	item= DisplayMenuAndPickItem(diagnostic, 2);

	if(item == -1) return (0);
	
	else if (item == LT_ARROW || item == ST_LT_ARROW ||
		 item == RT_ARROW || item == ST_RT_ARROW)
		return (item);
	
	if(IsOn(WIN)){
		CheckMarkOff(diagnostic[item]);
		Off(WIN);
		OffBefore(WIN);
		YNotAutoRescaleBefore(WIN);
		XNotAutoRescaleBefore(WIN);
		RemoveFromPriorityQ(item);
		CheckCoverage();		
		RecoverRgn(WIN.ulx, WIN.uly, WIN.lrx, WIN.lry);
	}else{
		CheckMarkOn(diagnostic[item]);
		On(WIN);
		OffBefore(WIN);
		EraseBefore(WIN);
		HighestPriority(item);
		PaintWindow(item);
		CheckCoverage();		
	}
	return (0);
}

/****************************************************************/

FileTools()
{
	int item;
	item= DisplayMenuAndPickItem(print, 3);
	if(item == -1) return (0);
	
	else if (item == LT_ARROW || item == ST_LT_ARROW ||
		 item == RT_ARROW || item == ST_RT_ARROW)
		return (item);
		
	else if(item == 3)
	{
		while (!PrinterSelected)
		{
			if (RetryMsg("      Printer not ready!")) continue;
			return(0);
		}
		PrintMsg("Printing screen ...");
		ScreenDump();
		PrintMsg("");
	}

	else if(item == 2) DF();
	else if(item == 1) PS();
	else if(item == 0) CGM();
	return (0);
}
	
/****************************************************************/

DisplayMenuAndPickItem(menu, number)
MenuItemType menu;
int number;
{
	int x1, x2, y2, MaxItem, i, item, flag, msg;
	char far *buffer;
	
	/*******************/
	/* Display Tools and save the image behind it. */

	if(number== 1){
		x1= TOOLS_ULX-5;
		MaxItem= MAXTOOLS;
	}
	else if(number== 2){
		x1= DIAGNOSTIC_ULX-5;
		MaxItem= MAXWINDOWS;
	}
	else if(number== 3){
		x1= FILETOOL_ULX-5;
		MaxItem= MAXFILETOOL;
	}
	else{
		ExitMsg("Error in 'Display Menu' function!");
		return;
	}
		
	x2= x1 + menu[0].length +6;
	y2= MENUBAR_LRY + CHAR_HEIGHT*MaxItem +6;

	if(!(buffer= (char far *)_fmalloc((unsigned int)_imagesize(x1, MENUBAR_LRY-1, x2, y2))))
		ExitMsg("Fatal Error in DisplayMenu(). Must exit");

	_getimage(x1, MENUBAR_LRY-1, x2, y2, buffer);
	
	for(i=0; i<= 5; i++)
	{
	 	EGALINE(x1+i, MENUBAR_LRY+5,x1+i, y2-1, XSHADOWCOLOR, VideoPage);
	 	EGALINE(x1+6, y2-1-i, x2-5, y2-1-i, XSHADOWCOLOR, VideoPage);
	}
	/*
	_setcolor(XSHADOWCOLOR);
	_rectangle(_GFILLINTERIOR, x1, MENUBAR_LRY+5, x1+5, y2);
	_rectangle(_GFILLINTERIOR, x1+4, y2-6, x2-5, y2); 
	*/
	On(menu[0]);
	for(i=0; i < MaxItem; i++)
		DrawMenuItem(&menu[i]);

	/******************************/
	/* Pick and return an item..  */
	
	item=0;
	flag= TRUE;
	while(flag){
		msg= getch();
		if(!msg) msg = getch()+ OFF_SET;

		switch(msg){
			case DN_ARROW:
			case ST_DN_ARROW:
				Off(menu[item]);
				DrawMenuItem(&menu[item]);
				item= (item+1)%MaxItem;
				On(menu[item]);
				DrawMenuItem(&menu[item]);
				break;
				
			case UP_ARROW:
			case ST_UP_ARROW:
				Off(menu[item]);
				DrawMenuItem(&menu[item]);
				item= (item + MaxItem -1)%MaxItem;
				On(menu[item]);
				DrawMenuItem(&menu[item]);
				break;
				
			case LT_ARROW:
			case ST_LT_ARROW:
				Off(menu[item]);
				flag= FALSE;
				break;
				
				
			case RT_ARROW:
			case ST_RT_ARROW:
				Off(menu[item]);
				flag= FALSE;
				break;
			
			case ESC:
				Off(menu[item]);
				flag= FALSE;
				msg= -1;
				break;
				
			case RETURN:
				Off(menu[item]);
				msg= item;
				flag= FALSE;
				break;
				
			default:
				for(i=0; i < MaxItem; i++)
					if(msg == menu[i].code){
						msg= i;
						Off(menu[item]);
						flag= FALSE;
						break;
					}
				break;
		}
	}
	_putimage(x1, MENUBAR_LRY-1, buffer, _GPSET);
	_ffree(buffer);
	return (msg);
}

/****************************************************************/

DrawMenuItem(menuitem)
MenuItemType menuitem;
{
	int i, x1, y1, x2, y2;
	
	x1= menuitem->ulx;
	y1= menuitem->uly;
	x2= menuitem->ulx +menuitem->length;
	y2= menuitem->uly +CHAR_HEIGHT;

	_setcolor(MENUBKGDCOLOR);
	_rectangle(_GFILLINTERIOR, x1+1, y1+1, x2-1, y2-1);
	
	for(i=0; i< 1; i++)
	{
		_moveto(x1+i, y1+i);
		_setcolor(11);
	 	_lineto(x2-i, y1+i);
	 	_lineto(x2-i, y2-i);
		_setcolor(1);
	 	_lineto(x1+i, y2-i);
	 	_lineto(x1+i, y1+i);
	}

	if(IsChecked(menuitem))
		TEXT43(CheckMark, x1+3, y1+2,	CHECKMARKCOLOR, VideoPage);
	
	TEXT43(menuitem->title, x1+CHAR_DBWIDTH, y1+2, MENUTEXTCOLOR, VideoPage);

	if(IsPtrOn(menuitem))
		for(; y1<= y2; y1++)	EGALINE(x1, y1, x2, y1, 10, VideoPage);
}

/****************************************************************/

XorBoundary(item)
int item;
{
	EGALINE(WIN.ulx, WIN.uly, WIN.lrx, 
		WIN.uly, XWINBORDERCOLOR, VideoPage);
	EGALINE(WIN.lrx, WIN.uly, WIN.lrx, 
		WIN.lry, XWINBORDERCOLOR, VideoPage);
	EGALINE(WIN.ulx, WIN.lry, WIN.lrx, 
		WIN.lry, XWINBORDERCOLOR, VideoPage);
	EGALINE(WIN.ulx, WIN.uly, WIN.ulx, 
		WIN.lry, XWINBORDERCOLOR, VideoPage);
}

/****************************************************************/

PrintMsg(Message)
char *Message;
{
	_setcolor(BKGDMSGCOLOR);
	_rectangle(_GFILLINTERIOR, 0, 0, SCREENWIDTH, CHAR_HEIGHT);
	TEXT43(Message, 2, 1, MSGCOLOR, VideoPage);
}

/****************************************************************/

ExitMsg(Message)
char *Message;
{
	messagedb.ok_name= "  Exit";
	messagedb.msg= Message;
	if(DialogBox(&messagedb) != ESC)
	{
		Screen(TEXT);
		exit(1);
	}
}

/****************************************************************/

RetryMsg(Message)
char *Message;
{
	messagedb.ok_name= "  Retry?";
	messagedb.msg= Message;
	if(DialogBox(&messagedb) == ESC)	return (0);
	else return(1);
}

/****************************************************************/

RecoverRgn(x1, y1, x2, y2)
int x1, y1, x2, y2;
{
	int i, item;

	for(i=0; i <= HighestP; i++)
	{
		item= priorityq[i];
		if (x1 >= WIN.lrx ||	x2 <= WIN.ulx || y1 >= WIN.lry || y2 <= WIN.uly);
		else
			OffBefore(WIN);
			EraseBefore(WIN);
	}

	_setcolor(BKGDCOLOR);
	_rectangle(_GFILLINTERIOR, x1, y1, x2, y2);
	_setactivepage(VideoPage ^ NUMPAGES);
	_rectangle(_GFILLINTERIOR, x1, y1, x2, y2);
	_setactivepage(VideoPage);
  
	RefreshScreen();
}

/****************************************************************/

HighestPriority(item)
int item;
{
	if(priorityq[HighestP] == item) return;

	if(HighestP >= 0)	RemoveFromPriorityQ(item);
			
	priorityq[++HighestP]= item;
}

/****************************************************************/

UpdateTimer()
{
	int i;
	char buffer[20];

	i= sprintf(buffer,"%s = %-12.5E", TimePtr, TimeStep);
	_setcolor(MENUBKGDCOLOR);
	_rectangle(_GFILLINTERIOR, SCREENWIDTH- CHAR_WIDTH*i-3,
		MENUBAR_ULY, SCREENWIDTH, MENUBAR_ULY+CHAR_HEIGHT);
	
	TEXT43(buffer, SCREENWIDTH - CHAR_WIDTH*i-2, MENUBAR_ULY+1,
		MENUTEXTCOLOR, VideoPage);
}

/****************************************************************/

RemoveFromPriorityQ(item)
int item;
{
	int i, j;
	
	for(i=0; i <= HighestP; i++){
		if(priorityq[i] == item){
			for(j=i; j <= HighestP; j++){
				priorityq[j]= priorityq[j+1];
			}
			HighestP--;
			break;
		}
	}
}

/****************************************************************/

XY_DATA SetupDataStruct()
{
	XY_DATA data;

	if (!(data= (XY_DATA)malloc(sizeof(struct xy_data)))) putch(7);

	data->y= NULL;
	data->x= NULL;
	data->npoint= 0;
	data->next= NULL;

	return(data);
}

/****************************************************************/

CheckCoverage()
{
	int i, j, item1, item2;
	
	for(i=0; i <= HighestP; i++)
		NotCovering(window[priorityq[i]]);
	
	for(i=HighestP; i > 0; i--){
		item1= priorityq[i];
		for(j=i-1; j >=0; j--){
			item2= priorityq[j];

			if(IsYAutoRescale(window[item2]))
			{
				if (window[item1].ulx >= window[item2].lrx-WINBNDTHICKNESS ||
					window[item1].lrx <= window[item2].ulx+WINBNDTHICKNESS ||
					window[item1].uly >= window[item2].lryc ||
					window[item1].lry <= window[item2].ulyc);
				else
					Covering(window[item1]);
			}
			else 
			{
				if (window[item1].ulx >= window[item2].lrxc ||
					window[item1].lrx <= window[item2].ulxc ||
					window[item1].uly >= window[item2].lryc ||
					window[item1].lry <= window[item2].ulyc);
				else
					Covering(window[item1]);
			}
		}
	}
}

/****************************************************************/

void PaintWindow(item)
int item;
{
	XY_DATA ptr;
	int n, temp, i, j, maxlen, x1, y1, x2, y2, nlines; 
	char buffer1[20], buffer2[20];
	double m, b, m1, b1, tgrid;
	int dx2_3D, dy2_3D;
	
	x1= WIN.ulx;
	y1= WIN.uly;
	x2= WIN.lrx;
	y2= WIN.lry;
	
	/********************************/
	/* Draw window border and title */
	
	if (!WasOnBefore(WIN) || IsCovering(WIN))
	{
		temp = WINBNDTHICKNESS;
		_setcolor(WINBORDERCOLOR);
		_rectangle(_GFILLINTERIOR, x1, y1, x2, y2);
		_setcolor(WINTITLECOLOR);
		_rectangle(_GFILLINTERIOR, x1+temp, y1+temp, x2-temp,	y1+temp+CHAR_HEIGHT);
		
		TEXT43(WIN.Y_Label,((x1+x2)/2 -CHAR_WIDTH*strlen(WIN.Y_Label)/2),
			y1+temp+1, YLABELTEXTCOLOR, VideoPage);

		_setcolor(WINBKGDCOLOR);
		_rectangle(_GFILLINTERIOR, x1+temp, y1+2*temp+CHAR_HEIGHT, x2-temp, y2-temp);
	}

	/*****************/
	/* AutoRescaling */

	if (IsYAutoRescale(WIN) && (n= *(WIN.data->npoint)))
	{
		WIN.ymax /= WIN.yscale;
		WIN.ymin /= WIN.yscale;
			
		if(IsYAutoRescaleBefore(WIN) && !strcmp(WIN.X_Label, "Time"))
		{
			for(ptr= WIN.data; ptr != NULL; ptr= ptr->next)
			{
				WIN.ymax = (float)max(WIN.ymax, ptr->y[n-1]);
				WIN.ymin = (float)min(WIN.ymin, ptr->y[n-1]);
			}
		}
		else
		{
			WIN.ymax= WIN.ymin= WIN.data->y[0];
			for(ptr= WIN.data; ptr != NULL; ptr= ptr->next)
			{
				for (i=0; i<n; i++)
				{
					WIN.ymax = (float)max(WIN.ymax, ptr->y[i]);
					WIN.ymin = (float)min(WIN.ymin, ptr->y[i]);
				}
			}
			YAutoRescaleBefore(WIN);
		}
  		WIN.ymax *= WIN.yscale;
		WIN.ymin *= WIN.yscale;	 
		
 		if(IsSemilog(WIN)) WIN.ymin =(float) max(WIN.ymin, WIN.ymax-6.0);
	}

	if (IsXAutoRescale(WIN) && (n= *(WIN.data->npoint)))
	{
		WIN.xmax /= WIN.xscale;
		WIN.xmin /= WIN.xscale;
			
		if(IsXAutoRescaleBefore(WIN) && !strcmp(WIN.X_Label, "Time")
			&& n > 2)
		{
			for(ptr= WIN.data; ptr != NULL; ptr= ptr->next)
			{
				WIN.xmax = (float)max(WIN.xmax, ptr->x[n-1]);
				WIN.xmin = (float)min(WIN.xmin, ptr->x[n-1]);
			}
		}
		else
		{
			WIN.xmax= WIN.xmin= WIN.data->x[0];
			for(ptr= WIN.data; ptr != NULL; ptr= ptr->next)
			{
				for (i=0; i<n; i++)
				{
					WIN.xmax = (float)max(WIN.xmax, ptr->x[i]);
					WIN.xmin = (float)min(WIN.xmin, ptr->x[i]);
				}
			}
			XAutoRescaleBefore(WIN);
		}
		WIN.xmax *= WIN.xscale;
		WIN.xmin *= WIN.xscale;
	}
	if(IsSemilog(WIN))
	{
		WIN.ymax= ceil(WIN.ymax - DBL_MIN);
		WIN.ymin= floor(WIN.ymin);
	}
	/*******************************/
	/* Draw labels and plot border */

	if(!WasOnBefore(WIN) || IsCovering(WIN) || IsYAutoRescale(WIN)
		|| Is3D(WIN))
	{
		x1 += WINBNDTHICKNESS;
		y1 += 2*WINBNDTHICKNESS+CHAR_HEIGHT;
		x2 -= WINBNDTHICKNESS;
		y2 -= WINBNDTHICKNESS+CHAR_HEIGHT-1;

		_setcolor(WINBKGDCOLOR);
		_rectangle(_GFILLINTERIOR, x1, y1, x2, y2);

		if(IsSemilog(WIN)){
			i= sprintf(buffer1, "1E%.3G", WIN.ymax);
			j= sprintf(buffer2, "1E%.3G", WIN.ymin);
		}else{
			i= sprintf(buffer1, "%.3G", WIN.ymax);
			j= sprintf(buffer2, "%.3G", WIN.ymin);
		}
	
		maxlen= (j > i) ? j : i;
	
		if (Is3D(WIN))
		{
			dy2_3D = (y2 - y1)/Y3DFACTOR;
			dx2_3D = (x2 - x1-1-maxlen*CHAR_WIDTH)/X3DFACTOR;
			y2 -= dy2_3D;
			x2 -= dx2_3D;
		}

		TEXT43(buffer1, x1+(maxlen-i)*CHAR_WIDTH, y1+1, LABELTEXTCOLOR, 
			VideoPage);
		TEXT43(buffer2, x1+(maxlen-j)*CHAR_WIDTH, y2-CHAR_HEIGHT,
			LABELTEXTCOLOR, VideoPage);
	
		x1 += 1 + maxlen*CHAR_WIDTH;

		/**********************************************************/
		/* Drawing the boundary of the client area and tick marks */

		_setcolor(GRAPHBORDERCOLOR);
		_rectangle(_GBORDER, x1, y1, x2, y2);
		if(IsSemilog(WIN))
		{
			for(i=1; i<WIN.ymax-WIN.ymin; i++)
			{
				_setpixel(x1-1, y1+i*(y2-y1)/(WIN.ymax-WIN.ymin));
				_setpixel(x1-2, y1+i*(y2-y1)/(WIN.ymax-WIN.ymin));
			}
		}
		else
		{
			if(WIN.ymax>0 && WIN.ymin<0)
			{
				_setpixel(x1-1, y1+ WIN.ymax*(y2-y1)/(WIN.ymax-WIN.ymin));
				_setpixel(x1-2, y1+ WIN.ymax*(y2-y1)/(WIN.ymax-WIN.ymin));
			}
		}
		if (Is3D(WIN))
		{
			_moveto(x2, y1);
			_lineto(x2+dx2_3D, y1+dy2_3D);
			_lineto(x2+dx2_3D, y2+dy2_3D);
			_lineto(x1+dx2_3D, y2+dy2_3D);
			_lineto(x1, y2);
			_moveto(x2, y2);
			_lineto(x2+dx2_3D, y2+dy2_3D);
			y2 += dy2_3D;
			x2 += dx2_3D;
		}
		WIN.ulxc = x1+1;
		WIN.ulyc = y1+1;
		WIN.lrxc = x2-1;
		WIN.lryc = y2-1;
	}
	x1 = WIN.ulxc;
	y1 = WIN.ulyc;
	x2 = WIN.lrxc;
	y2 = WIN.lryc;

	_setcolor(WINBKGDCOLOR);

	if (!WasOnBefore(WIN) || IsCovering(WIN) || IsXAutoRescale(WIN)
		|| IsYAutoRescale(WIN))
	{
		_rectangle(_GFILLINTERIOR, WIN.ulx+WINBNDTHICKNESS, y2+2, x2, y2+CHAR_HEIGHT);
		if (Is3D(WIN)) x1 += dx2_3D;
		
		sprintf(buffer1, "%G", WIN.xmin);
		TEXT43(buffer1, x1, y2+3, LABELTEXTCOLOR, VideoPage);
		
		i= sprintf(buffer2, "%G", WIN.xmax);
		TEXT43(buffer2, x2-i*CHAR_WIDTH, y2+3, LABELTEXTCOLOR, VideoPage);

		TEXT43(WIN.X_Label, ((x1+x2)/2-CHAR_WIDTH*strlen(WIN.X_Label)/2), y2+3,
				LABELTEXTCOLOR, VideoPage);

		if (Is3D(WIN)) x1 -= dx2_3D;

		if (!NUMPAGES) OnBefore(WIN);
		else WinOnBefore(WIN);
	}

	if (!IsNoErase(WIN) && !(Is3D(WIN)))
	{
		_rectangle(_GFILLINTERIOR, x1, y1, x2, y2);
	}
	else if (!IsNoEraseBefore(WIN) && !(Is3D(WIN)))
	{
		_rectangle(_GFILLINTERIOR, x1, y1, x2, y2);
		j = _setactivepage(NUMPAGES-VideoPage);
		_rectangle(_GFILLINTERIOR, x1, y1, x2, y2);
		_setactivepage(j);
		if(WasOnBefore(WIN))	NoEraseBefore(WIN);
	}

	if (WIN.ymax==WIN.ymin || WIN.xmax==WIN.xmin) return;
	
	if (Is3D(WIN))
	{
		nlines = 0;
		for (ptr = WIN.data; ptr != NULL; ptr = ptr->next) nlines++;
		nlines--;
		x2 -= dx2_3D;
		y2 -= dy2_3D;
		tgrid = 0;
	}

	for (j=NUMPAGES; j >= 0; j--)
	{
		_setcliprgn(x1, y1, x2, y2);
		
		m = (y1-y2)/(WIN.ymax-WIN.ymin+DBL_MIN)*WIN.yscale;
		b = (WIN.ymax*y2 - WIN.ymin*y1)/(WIN.ymax - WIN.ymin + DBL_MIN) + 0.5;
		m1= (x2-x1)/(WIN.xmax-WIN.xmin+DBL_MIN)*WIN.xscale;
		b1= (WIN.xmax*x1 - WIN.xmin*x2)/(WIN.xmax - WIN.xmin) + 0.5;

		for (ptr = WIN.data; ptr != NULL; ptr = ptr->next)
		{
			_setcolor(ptr->color);
			n = *(ptr->npoint);
			if (IsSemilog(WIN) || IsLinear(WIN))
			{
				_moveto(m1*ptr->x[0]+b1, m*ptr->y[0]+b);
				for (i=1; i<n; i++) _lineto(m1*ptr->x[i]+b1, m*ptr->y[i]+b);
			}
			else if (IsScatter(WIN))
				for (i=0; i<n; i++) _setpixel(m1*ptr->x[i]+b1, m*ptr->y[i]+b);
			else if (Is3D(WIN))
			{
				x1= WIN.ulxc + dx2_3D*tgrid/nlines + 0.5;
				y1= WIN.ulyc + dy2_3D*tgrid/nlines + 0.5;
				x2= WIN.lrxc - dx2_3D*(1. - tgrid/nlines) + 0.5;
				y2= WIN.lryc - dy2_3D*(1. - tgrid/nlines) + 0.5;
				b = (WIN.ymax*y2 - WIN.ymin*y1)/(WIN.ymax - WIN.ymin + DBL_MIN) + 0.5;
				b1= (WIN.xmax*x1 - WIN.xmin*x2)/(WIN.xmax - WIN.xmin) + 0.5;
				_setcliprgn(x1, y1, x2, y2);
				_moveto(m1*ptr->x[0]+b1, m*ptr->y[0]+b);
				for (i=1; i<n; i++) _lineto(m1*ptr->x[i]+b1, m*ptr->y[i]+b);
				tgrid += 1.;
			}
			else
				ExitMsg("Unrecognized plot type in PaintWindow()");
		}
		_setcliprgn(0,0,SCREENWIDTH,SCREENHEIGHT);

		if (IsNoErase(WIN)) _setactivepage(NUMPAGES-VideoPage);
		else break;
	}
	_setactivepage(VideoPage);
}

/****************************************************************/

void CGM()
{
	int i=0;

	if(DialogBox(&cgmdb) == ESC)
		return;

	if(!access(CGMFile, 0))
	{
		PrintMsg("File already exists! Overwrite Increment Cancel");
		switch(i=getch())
		{
			case 'c':
			case 'C':
				PrintMsg("");
				return;
			case 'i':
			case 'I':
				IncFileName(CGMFile);
			default:
				break;
		}
		PrintMsg("");
	}
	CGMScreen();
}

/****************************************************************/

void DF()
{
	int key=0;

	if(DialogBox(&dfdb) == ESC)
		return;

	if(!access(DFile, 0))
	{
		PrintMsg("File already exists! Overwrite Increment Cancel");
		switch(key=getch())
		{
			case 'c':
			case 'C':
				PrintMsg("");
				return;
			case 'i':
			case 'I':
				IncFileName(DFile);
			default:
				break;
		}
		PrintMsg("");
	}
	Dump(DFile);
}

/****************************************************************/

void PS()
{
	int key=0;

	if(DialogBox(&psdb) == ESC)
		return;

	if(!access(PSFile, 0))
	{
		PrintMsg("File already exists! Overwrite Increment Cancel");
		switch(key=getch())
		{
			case 'c':
			case 'C':
				PrintMsg("");
				return;
			case 'i':
			case 'I':
				IncFileName(PSFile);
			default:
				break;
		}
		PrintMsg("");
	}
	PSScreen();
}

/****************************************************************/

PSHeader()
{
	char buffer[80];
	time_t ltime;

	/*****************************/
	/* Loading the dictionary... */

	fprintf(fp, "%%!\n");
	fprintf(fp, "%/offset {72 add} def\n");
	fprintf(fp, "%/yscale {%d exch sub %G mul offset} def\n",
		SCREENHEIGHT, 468.0/SCREENHEIGHT);
	fprintf(fp, "%/xscale {%G mul offset} def\n\n", 648.0/SCREENWIDTH);
	fprintf(fp, "%/mv {yscale exch xscale exch moveto} def\n");
	fprintf(fp, "%/ln {yscale exch xscale exch lineto} def\n\n");
	
	fprintf(fp, "%/prtstrfrommid {dup stringwidth pop\n");
	fprintf(fp, " 2 div currentpoint pop exch sub currentpoint\n");
	fprintf(fp, " exch pop moveto show} def\n\n");
	
	fprintf(fp, "%/prtstrfromrt {dup stringwidth pop\n");
	fprintf(fp, " currentpoint pop exch sub currentpoint\n");
	fprintf(fp, " exch pop moveto show} def\n\n");
	
	fprintf(fp, "%/rectangle {4 -1 roll 4 -1 roll\n");
	fprintf(fp, " dup 5 1 roll exch dup 6 1 roll exch\n");
	fprintf(fp, " mv 3 1 roll dup 5 1 roll exch ln dup\n"); 
	fprintf(fp, " 4 -1 roll exch ln ln closepath gsave setgray\n");
	fprintf(fp, " fill grestore stroke} def\n\n");
	
	fprintf(fp, "%/ylabels {dup 3 -1 roll dup 4 1 roll\n");
	fprintf(fp, " stringwidth pop 2 1 roll stringwidth pop\n");
	fprintf(fp, " dup 3 -1 roll dup 3 1 roll ge {pop}\n");
	fprintf(fp, " {2 1 roll pop} ifelse 6 -1 roll add\n");
	fprintf(fp, " dup 6 1 roll 4 -1 roll mv prtstrfromrt\n");
	fprintf(fp, " 3 -1 roll dup 4 1 roll 3 -1 roll mv\n");
	fprintf(fp, " prtstrfromrt 1 add %/x1 exch def} def\n\n");
	
	fprintf(fp, "%/clientarea { %/y2 exch def %/x2 exch def\n");
	fprintf(fp, " %/y1 exch def} def\n\n");
	
	fprintf(fp, "%/xlabels {6 -1 roll dup 7 1 roll 5 -1 roll\n");
	fprintf(fp, " dup 6 1 roll mv 3 -1 roll show 4 -1 roll\n");
	fprintf(fp, " dup 6 -1 roll add 2 div 5 -1 roll dup 3 1 roll\n");
	fprintf(fp, " mv 4 -1 roll prtstrfrommid\n");
	fprintf(fp, " mv prtstrfromrt} def\n\n");
	
	fprintf(fp, "%/boundary {newpath x1 y1 mv x2 y1 ln\n");
	fprintf(fp, " x2 y2 ln x1 y2 ln closepath} def\n\n");
	
	fprintf(fp, "%/sp0 {(.) prtstrfrommid} def\n");
	fprintf(fp, "%/sp1 {(o) prtstrfrommid} def\n");
	fprintf(fp, "%/sp2 {-1 -1 rmoveto 0 2 rlineto\n");
	fprintf(fp, " 2 0 rlineto 0 -2 rlineto closepath} def\n");
	fprintf(fp, "%/sp3 {(*) prtstrfrommid} def\n");
	fprintf(fp, "%/sp4 {(x) prtstrfrommid} def\n");
	fprintf(fp, "%/sp5 {(+) prtstrfrommid} def\n");
	fprintf(fp, "%/sp6 {(@) prtstrfrommid} def\n\n");

	/****************************************************/
	/* Now write the time, file name and the timestep.. */

	time(&ltime);
	sprintf(buffer, "%s", ctime(&ltime));
	
	fprintf(fp, "%/Times-Bold findfont 12 scalefont setfont\n");
	fprintf(fp, "1 setlinewidth\n");
	fprintf(fp, "612 0 translate\n");
	fprintf(fp, "90 rotate\n");
	fprintf(fp, ".99 0 0 %d %d rectangle\n", SCREENWIDTH, SCREENHEIGHT);
	fprintf(fp, "1 0 0 %d %d rectangle\n", SCREENWIDTH, 3*CHAR_HEIGHT/2);
	fprintf(fp, "0 setgray\n");
	fprintf(fp, "10 %d mv\n", CHAR_HEIGHT+1);
	fprintf(fp, "(%s) show\n\n", buffer);

	sprintf(buffer, "%s", PSFile);
	fprintf(fp, "%d %d mv\n", SCREENWIDTH/2, CHAR_HEIGHT+1);
	fprintf(fp, "(%s) prtstrfrommid\n", buffer);
	
	sprintf(buffer, "%s %G", TimePtr, TimeStep);
	fprintf(fp, "%d %d mv\n", SCREENWIDTH-10, CHAR_HEIGHT+1);
	fprintf(fp, "(%s) prtstrfromrt\n\n", buffer);
}

/****************************************************************/

void CGMWindow(item)
int item;
{
	XY_DATA ptr;
	int n, i, j, x1, x2, y1, y2, temp, numpts, dx2_3D, dy2_3D;
	int *x, *y;
	char buffer1[80], buffer2[20];
	double m, b, m1, b1;
	double xold, yold, xnew, ynew;
	double xtemp1, ytemp1, xtemp2, ytemp2, slope;

	x = (int *) malloc(256*sizeof(int));
	y = (int *) malloc(256*sizeof(int));
	if (y == NULL)
	{
		PrintMsg("CGMWindow: insufficient memory, press any key");
		getch();
		PrintMsg("");
		return;
	}

	x1 = WIN.ulx;
	y1 = WIN.uly;
	x2 = WIN.lrx;
	y2 = WIN.lry;
	temp = WINBNDTHICKNESS;

	EDGE(OFF);
	FILLTYPE(FILLED);
	FILLCOLOR(7);
	Rectangle(CGMx(x1), CGMy(y1), CGMx(x2), CGMy(y2));
	x1 += temp;
	y1 += temp;
	FILLCOLOR(10);
	Rectangle(CGMx(x1), CGMy(y1), CGMx(x2-temp), CGMy(y1+CHAR_HEIGHT));

	TEXTFONT(TR_BI);
	TEXTCOLOR(1);
	TEXTHEIGHT(CGMdy(CHAR_HEIGHT-3));
	TextAngle(0);
	TextAlign(CENTERALIGN, BOTTOMALIGN);
	CGMText(CGMx((x1+x2)/2), CGMy(y1+CHAR_HEIGHT-2), WIN.Y_Label);

	y1 +=	temp + CHAR_HEIGHT;
	x2 -= temp;
	y2 -= temp;
	FILLCOLOR(12);
	Rectangle(CGMx(x1), CGMy(y1), CGMx(x2), CGMy(y2));

	if (WIN.ymax == WIN.ymin) return;

	if (IsSemilog(WIN))
	{
		i = sprintf(buffer1, "1E%.3G", WIN.ymax);
		j = sprintf(buffer2, "1E%.3G", WIN.ymin);
	}
	else
	{
		i = sprintf(buffer1, "%.3G", WIN.ymax);
		j = sprintf(buffer2, "%.3G", WIN.ymin);
	}
	if (Is3D(WIN))
	{
		dy2_3D = (y2 - y1)/Y3DFACTOR;
	 /*	dx2_3D = (x2 - x1-1-maxlen*CHAR_WIDTH)/X3DFACTOR;	  */
		x1 += dx2_3D;
	}
	i = (i > j) ? i : j;
	x1 += i*3*CHAR_WIDTH/4;

	TEXTFONT(HELV);
	TEXTHEIGHT(CGMdy(CHAR_HEIGHT-4));
	TEXTCOLOR(1);
	TextAlign(RIGHTALIGN, TOPALIGN);
	CGMText(CGMx(x1), CGMy(y1+1), buffer1);
	TextAlign(RIGHTALIGN, BOTTOMALIGN);
	CGMText(CGMx(x1), CGMy(y2-CHAR_HEIGHT+2), buffer2);
	sprintf(buffer1, "%G", WIN.xmax);
	x1 += 2;
	CGMText(CGMx(x2-1), CGMy(y2-1), buffer1);
	TextAlign(LEFTALIGN, BOTTOMALIGN);
	sprintf(buffer1, "%G", WIN.xmin);
	CGMText(CGMx(x1), CGMy(y2-1), buffer1);
	TEXTFONT(TR_I);
	TEXTHEIGHT(CGMdy(CHAR_HEIGHT-4));
	TextAlign(CENTERALIGN, BOTTOMALIGN);
	CGMText(CGMx((x1+x2)/2), CGMy(y2-1), WIN.X_Label);

	if (Is3D(WIN))
	{
		y2 -= dy2_3D;
		x2 -= dx2_3D;
		MoveTo(CGMx(x2), CGMy(y1));
		LineTo(CGMx(x2+dx2_3D), CGMy(y1+dy2_3D));
		LineTo(CGMx(x2+dx2_3D), CGMy(y2+dy2_3D));
		LineTo(CGMx(x1+dx2_3D), CGMy(y2+dy2_3D));
		LineTo(CGMx(x1), CGMy(y2));
		MoveTo(CGMx(x2), CGMy(y2));
		LineTo(CGMx(x2+dx2_3D), CGMy(y2+dy2_3D));
	}

	y2 -= CHAR_HEIGHT-1;
	FILLTYPE(HOLLOW);
	EDGE(ON);
	EDGETYPE(SOLID);
	EDGEWIDTH(WIDTH1);
	EDGECOLOR(1);
	Rectangle(CGMx(x1), CGMy(y1), CGMx(x2), CGMy(y2));

	LINETYPE(SOLID);
	LINECOLOR(1);
	LINEWIDTH(WIDTH1);
	if (IsSemilog(WIN))
	{
		for (i=1; i<WIN.ymax-WIN.ymin; i++)
		{
			j = y1 + i*(y2-y1)/(WIN.ymax-WIN.ymin);
			MoveTo(CGMx(x1), CGMy(j));
			LineTo(CGMx(x1+5), CGMy(j));
			MoveTo(CGMx(x2), CGMy(j));
			LineTo(CGMx(x2-5), CGMy(j));
		}
	}
	else
	{
		if (WIN.ymax > 0 && WIN.ymin < 0)
		{
			j = y1 + WIN.ymax*(y2-y1)/(WIN.ymax-WIN.ymin);
			MoveTo(CGMx(x1), CGMy(j));
			LineTo(CGMx(x1+5), CGMy(j));
			MoveTo(CGMx(x2), CGMy(j));
			LineTo(CGMx(x2-5), CGMy(j));
		}
	}

	m = ((double)CGMy(y1) - CGMy(y2))*WIN.yscale/(WIN.ymax - WIN.ymin);
	b = (WIN.ymax*CGMy(y2) - WIN.ymin*CGMy(y1))/(WIN.ymax - WIN.ymin) + 0.5;
	m1 = ((double)CGMx(x2) - CGMx(x1))*WIN.xscale/(WIN.xmax - WIN.xmin);
	b1 = (WIN.xmax*CGMx(x1) - WIN.xmin*CGMx(x2))/(WIN.xmax - WIN.xmin) + 0.5;

	LINETYPE(SOLID);
	LINEWIDTH(WIDTH1);
	for (j=1, ptr = WIN.data; ptr != NULL; ptr = ptr->next, j++)
	{
		n = *(ptr->npoint);
		if (IsSemilog(WIN) || IsLinear(WIN))
		{
			LINECOLOR(j);
			numpts = 0;
			xold = ptr->x[0];
			yold = ptr->y[0];
			for (i=1; i<n; i++)
			{
				xnew = ptr->x[i];
				ynew = ptr->y[i];
				slope = (ynew-yold)/(xnew-xold+DBL_MIN);
				xtemp1 = (WIN.ymin-yold)/(slope+DBL_MIN)+xold;	/* intrcpt w/ y=ymin */
				ytemp1 = (WIN.xmin-xold)*slope + yold;				/* intrscpt w/ x=xmin */
				xtemp2 = (WIN.ymax-yold)/(slope+DBL_MIN)+xold;	/* intrscpt w/ y=ymax */
				ytemp2 = (WIN.xmax-xold)*slope + yold;				/* intrscpt w/ x=xmax */
				if (xold < xnew)
				{
					if (yold < ynew)
					{
						if (xold < xtemp1) {xold = xtemp1; yold = WIN.ymin;}
						if (xold < WIN.xmin) {xold = WIN.xmin; yold = ytemp1;}
						if (xnew > xtemp2) {xnew = xtemp2; ynew = WIN.ymax;}
						if (xnew > WIN.xmax) {xnew = WIN.xmax; ynew = ytemp2;}
					}
					else
					{
						if (xold < xtemp2) {xold = xtemp2; yold = WIN.ymax;}
						if (xold < WIN.xmin) {xold = WIN.xmin; yold = ytemp1;}
						if (xnew > xtemp1) {xnew = xtemp1; ynew = WIN.ymin;}
						if (xnew > WIN.xmax) {xnew = WIN.xmax; ynew = ytemp2;}
					}
				}
				else
				{
					if (yold > ynew)
					{
						if (xold > xtemp2) {xold = xtemp2; yold = WIN.ymax;}
						if (xold > WIN.xmax) {xold = WIN.xmax; yold = ytemp2;}
						if (xnew < xtemp1) {xnew = xtemp1; ynew = WIN.ymin;}
						if (xnew < WIN.xmin) {xnew = WIN.xmin; ynew = ytemp1;}
					}
					else
					{
						if (xold > xtemp1) {xold = xtemp1; yold = WIN.ymin;}
						if (xold > WIN.xmax) {xold = WIN.xmax; yold = ytemp2;}
						if (xnew < xtemp2) {xnew = xtemp1; ynew = WIN.ymax;}
						if (xnew < WIN.xmin) {xnew = WIN.xmin; ynew = ytemp2;}
					}
				}
				if (xold >= WIN.xmin && xold <= WIN.xmax
					&& xnew >= WIN.xmin && xnew <= WIN.xmax
					&& yold >= WIN.ymin && yold <= WIN.ymax
					&& ynew >= WIN.ymin && ynew <= WIN.ymax)
				{
					if (numpts && yold == y[numpts-1])
					{
						x[numpts] = m1*xnew+b1;
						y[numpts++] = m*ynew+b;
					}
					else
					{
						x[numpts] = m1*xold+b1;
						y[numpts++] = m*yold+b;
						x[numpts] = m1*xnew+b1;
						y[numpts++] = m*ynew+b;
					}
				}
				xold = ptr->x[i];
				yold = ptr->y[i];
				if (numpts > 254)
				{
					PLine(numpts, x, y);
					numpts = 0;
				}
			}	/* end for i=1 ... n */
			if (numpts) PLine(numpts, x, y);
		}
		else if (IsScatter(WIN))
		{
			int px[1], py[1];
			MARKERCOLOR(1);
			switch(j)
			{
				case 1:
					MARKERTYPE(MCIRCLEFILL);
					MARKERSIZE(CGMdy(1));
					break;
				case 2:
					MARKERTYPE(MCIRCLE);
					MARKERSIZE(CGMdy(2));
					break;
				case 3:
					MARKERTYPE(MSQUARE);
					MARKERSIZE(CGMdy(2));
					break;
				case 4:
					MARKERTYPE(MTRIANGLE);
					MARKERSIZE(CGMdy(2));
					break;
				case 5:
					MARKERTYPE(MSQUAREFILL);
					MARKERSIZE(CGMdy(2));
					break;
				default:
					MARKERTYPE(MSTAR);
					MARKERSIZE(CGMdy(2));
			}
			for (i=0; i<n; i++)
			{
				*px = m1*(ptr->x[i]) + b1;
				*py = m*(ptr->y[i]) + b;
				if (*px >= CGMx(x1) && *px <= CGMx(x2) && *py <= CGMy(y1)
					&& *py >= CGMy(y2))
					PMarker(1, px, py);
			}

/*				LINECOLOR(j);
**				for (i=0; i<n; i++)
**				{
**					int ix, iy;
**					ix = m1*ptr->x[i]+b1;
**					iy = m*ptr->y[i]+b;
**					if (ix >= CGMx(x1) && ix <= CGMx(x2) && iy <= CGMy(y1)
**						&& iy >= CGMy(y2))
**					{
**						MoveTo(ix, iy);
**						ix += j;
**						LineTo(ix, iy);
**					}
**				}
*/		
		}
		else ExitMsg("Unrecognized plot type in CGMWindow()");
	}
	free(x);
	free(y);
}

/****************************************************************/

#define	NPOINTMAX	500

void PSWindow(item)
int item;
{
	XY_DATA ptr;
	int i, j, n, x1, y1, x2, y2, nplot;
	
	x1= WIN.ulx;
	y1= WIN.uly;
	x2= WIN.lrx;
	y2= WIN.lry;

	fprintf(fp, "%/Times-BoldItalic findfont 12 scalefont setfont\n");
	fprintf(fp, "1.5 setlinewidth\n");
	fprintf(fp, ".2 setgray\n");
	fprintf(fp, "1 %d %d %d %d rectangle\n", x1, y1, x2, y2);

	fprintf(fp, "0 %d %d %d %d rectangle\n", x1, y1, x2, y1+CHAR_HEIGHT);
	
	fprintf(fp, "%d %d mv\n", (x1 + x2)/2, y1+CHAR_HEIGHT-2);
	fprintf(fp, "1 setgray\n");
	fprintf(fp, "(%s) prtstrfrommid\n", WIN.Y_Label);
	fprintf(fp, "0 setgray\n");
	fprintf(fp, "%/Times-Bold findfont 12 scalefont setfont\n");

	if(WIN.ymax== WIN.ymin) return;

	if(IsSemilog(WIN))
	{
		fprintf(fp, "%d %d %d (1E%.3G) (1E%.3G) ylabels\n", x1+2,
			y1+2*CHAR_HEIGHT, y2-CHAR_HEIGHT-2,	WIN.ymax, WIN.ymin);
	}
	else if(Is3D(WIN))
	{
		fprintf(fp, "%d %d %d (%.3G) (%.3G) ylabels\n", x1+2,	y1+2*CHAR_HEIGHT,
			y2-CHAR_HEIGHT-(y2-y1)/Y3DFACTOR, WIN.ymax, WIN.ymin);
	}
	else
	{
		fprintf(fp, "%d %d %d (%.3G) (%.3G) ylabels\n", x1+2,
			y1+2*CHAR_HEIGHT, y2-CHAR_HEIGHT-2, WIN.ymax, WIN.ymin);
	}

	fprintf(fp, "%d %d %d clientarea\n", y1+CHAR_HEIGHT+1, x2-1,
		y2-CHAR_HEIGHT-1);

	fprintf(fp, ".5 setlinewidth\n");
	
	if (Is3D(WIN))
	{
		fprintf(fp, "%/dy23D y2 y1 sub %d div def\n", Y3DFACTOR);
		fprintf(fp, "%/dx23D x2 x1 sub %d div def\n", X3DFACTOR);

		fprintf(fp, "%/y2 y2 dy23D sub def %/x2 x2 dx23D sub def\n");
		
		fprintf(fp, "%/cx1 x1 def %/cy1 y1 def %/cx2 x2 def %/cy2 y2 def\n");

		fprintf(fp, "gsave newpath x2 y1 mv\n");
		fprintf(fp, "x2 dx23D add y1 dy23D add ln\n");
		fprintf(fp, "x2 dx23D add y2 dy23D add ln\n");
		fprintf(fp, "x1 dx23D add y2 dy23D add ln\n");
		fprintf(fp, "x1 y2 ln stroke\n");
		fprintf(fp, "newpath x2 y2 mv\n");
		fprintf(fp, "x2 dx23D add y2 dy23D add ln stroke grestore\n\n");
	}
	fprintf(fp, "1 x1 y1 x2 y2 rectangle\n");	/* Clientarea's boundary */

	if(Is3D(WIN))
	{
		fprintf(fp, "%/x1 x1 dx23D add def %/x2 x2 dx23D add def\n");
		fprintf(fp, "x1 x2 %d (%.3G) (%s) (%.3G) xlabels\n", y2-2, WIN.xmin,
			WIN.X_Label, WIN.xmax);
		fprintf(fp, "%/x1 x1 dx23D sub def %/x2 x2 dx23D sub def\n");
	}
	else
	{
		fprintf(fp, "x1 x2 %d (%.3G) (%s) (%.3G) xlabels\n", y2-2, WIN.xmin,
			WIN.X_Label, WIN.xmax);
	}

	fprintf(fp, "gsave 0 setgray .5 setlinewidth\n");
	fprintf(fp, "%/dtick {y2 y1 sub %G %G sub div} def\n", WIN.ymax, WIN.ymin); 
	if(IsSemilog(WIN))
	{
		for(i=1; i<WIN.ymax-WIN.ymin; i++)
		{
			fprintf(fp, "x1 y1 %d dtick mul add mv\n", i);
			fprintf(fp, "x1 2 add y1 %d dtick mul add ln\n", i);

			fprintf(fp, "x2 2 sub y1 %d dtick mul add mv\n", i);
			fprintf(fp, "x2 y1 %d dtick mul add ln\n", i);
		}
	}
	else
	{
		if(WIN.ymax>0 && WIN.ymin<0)
		{
			fprintf(fp, "x1 y1 %G dtick mul add mv\n", WIN.ymax);
			fprintf(fp, "x1 2 add y1 %G dtick mul add ln\n", WIN.ymax);

			fprintf(fp, "x2 2 sub y1 %G dtick mul add mv\n", WIN.ymax);
			fprintf(fp, "x2 y1 %G dtick mul add ln\n", WIN.ymax);
		}
	}
	fprintf(fp, "stroke grestore\n\n");

	if(IsSemilog(WIN) || IsLinear(WIN) || IsScatter(WIN))
	{
		fprintf(fp, "gsave boundary clip\n");
		fprintf(fp, "%/x1 x1 1 add def %/y1 y1 1 add def\n"); 
		fprintf(fp, "%/x2 x2 1 sub def %/y2 y2 1 sub def\n");
	
		fprintf(fp, "%/b {%G y2 mul %G y1 mul sub\n", WIN.ymax, WIN.ymin);
		fprintf(fp, " %G %G sub %G add div .5 add} def\n", WIN.ymax, WIN.ymin, DBL_MIN);
		
		fprintf(fp, "%/b1 {%G x1 mul %G x2 mul sub\n", WIN.xmax, WIN.xmin);
		fprintf(fp, " %G %G sub %G add div .5 add} def\n", WIN.xmax, WIN.xmin, DBL_MIN);
	}
	fprintf(fp, ".25 setlinewidth\n\n");

	fprintf(fp, "%/m {y1 y2 sub %G %G sub %G add div %G mul} def\n",
		WIN.ymax, WIN.ymin, DBL_MIN, WIN.yscale);
	fprintf(fp, "%/m1 {x2 x1 sub %G %G sub %G add div %G mul} def\n",
		WIN.xmax, WIN.xmin, DBL_MIN, WIN.xscale);

	for(nplot=0, ptr= WIN.data; ptr != NULL; ptr= ptr->next)	nplot++;

	for(ptr= WIN.data, j=0; ptr != NULL; ptr= ptr->next, j++)
	{
		n = *(ptr->npoint);
		if(IsSemilog(WIN) || IsLinear(WIN))
		{
			fprintf(fp, "%.3G setgray\n", ((float)j)/nplot);
			fprintf(fp, "newpath m1 %G mul b1 add m %G mul b add mv\n",
				ptr->x[0], ptr->y[0]);
			for (i=1; i< n; i++)
			{
				fprintf(fp, "m1 %G mul b1 add m %G mul b add ln\n", ptr->x[i], ptr->y[i]);
				if(!(i%NPOINTMAX))
				{
					fprintf(fp, "stroke\n\n");
					fprintf(fp, "newpath m1 %G mul b1 add m %G mul b add mv\n",
						ptr->x[i], ptr->y[i]);
				}
			}
			fprintf(fp, "stroke\n\n");
		}
		else if(IsScatter(WIN))
		{
			fprintf(fp, "0 setgray\n");
			fprintf(fp, "%/Times-Bold findfont 6 scalefont setfont\n");
			fprintf(fp, "newpath\n");
			for(i=0; i< n; i++){
				fprintf(fp, "m1 %G mul b1 add m %G mul b add mv sp%d\n",
					ptr->x[i], ptr->y[i], j);
			}
			fprintf(fp, "stroke\n\n");
		}
		else if(Is3D(WIN))
		{
			fprintf(fp, "%/x1 {cx1 dx23D %G mul add .5 add} def \n",
				((float)j)/(nplot-1));
			fprintf(fp, "%/y1 {cy1 dy23D %G mul add .5 add} def \n",
				((float)j)/(nplot-1));
			fprintf(fp, "%/x2 {cx2 dx23D %G mul add .5 add} def \n",
				((float)j)/(nplot-1));
			fprintf(fp, "%/y2 {cy2 dy23D %G mul add .5 add} def \n",
				((float)j)/(nplot-1));

			fprintf(fp, "gsave boundary clip\n");
			fprintf(fp, "%/x1 x1 1 add def %/y1 y1 1 add def\n"); 
			fprintf(fp, "%/x2 x2 1 sub def %/y2 y2 1 sub def\n"); 

			fprintf(fp, ".25 setlinewidth\n\n");

			fprintf(fp, "%/b {%G y2 mul %G y1 mul sub\n", WIN.ymax, WIN.ymin);
			fprintf(fp, " %G %G sub %G add div .5 add} def\n", WIN.ymax, WIN.ymin, DBL_MIN);
			
			fprintf(fp, "%/b1 {%G x1 mul %G x2 mul sub\n", WIN.xmax, WIN.xmin);
			fprintf(fp, " %G %G sub %G add div .5 add} def\n", WIN.xmax, WIN.xmin, DBL_MIN);

			fprintf(fp, "0 setgray\n");
			fprintf(fp, "newpath m1 %G mul b1 add m %G mul b add mv\n",
				ptr->x[0], ptr->y[0]);
			for (i=1; i< n; i++)
			{
				fprintf(fp, "m1 %G mul b1 add m %G mul b add ln\n", ptr->x[i], ptr->y[i]);
				if(!(i%NPOINTMAX))
				{
					fprintf(fp, "stroke\n\n");
					fprintf(fp, "newpath m1 %G mul b1 add m %G mul b add mv\n",
						ptr->x[i], ptr->y[i]);
				}
			}
			fprintf(fp, "stroke grestore\n\n");
		}
		else
			ExitMsg("Unrecognized plot type in PSWindow()");
	}
	if(IsSemilog(WIN) || IsLinear(WIN) || IsScatter(WIN))
		fprintf(fp, "grestore\n\n");
}

/****************************************************************/

void InitRescaleDialogBox()
{  
	rescaledb.number = 6;
	rescaledb.msg= "Rescaling The window";
	rescaledb.ok_name= NULL;
		
	rescaledb.list = (DialogBoxItemType)calloc(rescaledb.number,
		sizeof(struct dialogbox_item));
	
	rescaledb.list[0].type= FLOAT;
	rescaledb.list[0].name= "ymax";
	
	rescaledb.list[1].type= FLOAT;
	rescaledb.list[1].name= "ymin";
	
	rescaledb.list[2].type= YAUTORESCALE;
	rescaledb.list[2].name= "Autorescale Y";

	rescaledb.list[3].type= FLOAT;
	rescaledb.list[3].name= "xmax";
	
	rescaledb.list[4].type= FLOAT;
	rescaledb.list[4].name= "xmin";
	
	rescaledb.list[5].type= XAUTORESCALE;
	rescaledb.list[5].name= "Autorescale X";
}

/****************************************************************/

void InitCGMDialogBox()
{
	cgmdb.number= 3;
	cgmdb.msg= "Dumping into a CGM file";
	cgmdb.ok_name= NULL;

	cgmdb.list = (DialogBoxItemType)calloc(cgmdb.number,
		sizeof(struct dialogbox_item));	

	cgmdb.list[0].type= CHAR;
	cgmdb.list[0].name= "Filename";
	(char *) cgmdb.list[0].ptr= CGMFile;
	
	cgmdb.list[1].type= INTEGER;
	cgmdb.list[1].name= "Dump Period";
	(int *) cgmdb.list[1].ptr= &CGMDumpPeriod;
	
	cgmdb.list[2].type= INTEGER;
	cgmdb.list[2].name= "Dump Limit";
	(int *) cgmdb.list[2].ptr= &CGMDumpLimit;
}

/****************************************************************/

void InitDFDialogBox()
{
	dfdb.number= 1;
	dfdb.msg= "Dumping the present state into a file";
	dfdb.ok_name= NULL;

	dfdb.list = (DialogBoxItemType)calloc(dfdb.number,
		sizeof(struct dialogbox_item));	

	dfdb.list[0].type= CHAR;
	dfdb.list[0].name= "Filename";
	(char *) dfdb.list[0].ptr= DFile;
}

/****************************************************************/

void InitPSDialogBox()
{
	psdb.number= 3;
	psdb.msg= "Dumping into a Postscript file";
	psdb.ok_name= NULL;

	psdb.list = (DialogBoxItemType)calloc(psdb.number,
		sizeof(struct dialogbox_item));	

	psdb.list[0].type= CHAR;
	psdb.list[0].name= "Filename";
	(char *) psdb.list[0].ptr= PSFile;
	
	psdb.list[1].type= INTEGER;
	psdb.list[1].name= "Dump Period";
	(int *) psdb.list[1].ptr= &PSDumpPeriod;
	
	psdb.list[2].type= INTEGER;
	psdb.list[2].name= "Dump Limit";
	(int *) psdb.list[2].ptr= &PSDumpLimit;
}

/****************************************************************/

void InitMessageDialogBox()
{
	messagedb.number= 0;
	messagedb.msg= NULL;
	messagedb.ok_name= NULL;
	messagedb.list= NULL;
}

/****************************************************************/

int DialogBox(dialogbox)
DialogBoxType dialogbox;
{
	char buffer1[60];
	char **buffer2;
	char far *buffer;
	int i, width, height, key, item, flag, number;
	MenuItemType field;

	i= CHAR_WIDTH*sprintf(buffer1, "%s", dialogbox->msg)+20;
	width= CHAR_WIDTH*33;
	
	number= dialogbox->number;
	width = (i > width)? i: width;
	height= CHAR_HEIGHT*number*1.4 +60;
	
	DIALOGBOX_ULX= SCREENWIDTH/2 -width/2;
	DIALOGBOX_ULY= SCREENHEIGHT/2 -height/2;
	
	if(!(buffer2= (char **)malloc(number*sizeof(char *))))
	{
		PrintMsg("Fatal Error in DialogBox(): Press any key to exit.");
		getch();
		exit(1);
	}
	
	for(i=0; i<number; i++)
		if(!(buffer2[i]= (char *)malloc(15*sizeof(char))))
		{
			PrintMsg("Fatal Error in DialogBox(): Press any key to exit.");
			getch();
			exit(1);
		}
	
	/****************************************/
	/* Setting up fields for the dialog box */
	
	if(!(field=(MenuItemType) calloc(number+2, sizeof(struct menu_item))))
	{
		PrintMsg("Fatal Error in DialogBox(): Press any key to exit.");
		getch();
		exit(1);
	}
	
	for(i=0; i<= number+1; i++){
		field[i].ulx= DIALOGBOX_ULX + 15*CHAR_WIDTH;
		field[i].uly= DIALOGBOX_ULY + (2+i)*(CHAR_HEIGHT+4);
		field[i].length= 15*CHAR_WIDTH;
	}
	
	for(i=0; i< number; i++){
		if(dialogbox->list[i].type == FLOAT)
			sprintf(buffer2[i], "%G", *((float *)dialogbox->list[i].ptr)); 
		
		else if(dialogbox->list[i].type == INTEGER)
			sprintf(buffer2[i], "%d", *((int *)dialogbox->list[i].ptr)); 
		
		else if(dialogbox->list[i].type == CHAR)
			sprintf(buffer2[i], "%s", (char *)dialogbox->list[i].ptr); 
		
		else if(dialogbox->list[i].type%2 == 0){
			if(dialogbox->list[i].type & *((int *)dialogbox->list[i].ptr)){
				buffer2[i][0]= 'O';
				buffer2[i][1]= 'N';
				buffer2[i][2]= 0;
			}else{
				buffer2[i][0]= 'O';
				buffer2[i][1]= 'F';
				buffer2[i][2]= 'F';
				buffer2[i][3]= 0;
			}
		}
		field[i].title= buffer2[i];
	}			
	
	field[number].title=   "     OK";
	field[number+1].title= "   CANCEL";
		
	/******************************************/
	/* Setting up and painting the dialog box */
	
	if(!(buffer= (char far *)_fmalloc((unsigned int) _imagesize( DIALOGBOX_ULX-5,
		DIALOGBOX_ULY, DIALOGBOX_ULX+width, DIALOGBOX_ULY+height+5))))
	{
		PrintMsg("Fatal Error in DialogBox(): Press any key to exit.");
		getch();
		exit(1);
	}
	_getimage( DIALOGBOX_ULX-5, DIALOGBOX_ULY, DIALOGBOX_ULX+width,
		DIALOGBOX_ULY+height+5, buffer);

	_setcolor(DIALOGBOXBKGDCOLOR);

	for(i=0; i<=100; i++)
		_rectangle(_GFILLINTERIOR, DIALOGBOX_ULX+(width/2)-(i*width)/200,
			DIALOGBOX_ULY+(height/2)-(i*height)/200,
			DIALOGBOX_ULX+(width/2) +(i*width)/200,
			DIALOGBOX_ULY+(height/2)+(i*height)/200);
	
	/* Painting the shadow for the dialogbox first */
	for(i=0; i<= 5; i++)
	{
	 	EGALINE(DIALOGBOX_ULX-5+i, DIALOGBOX_ULY+5, DIALOGBOX_ULX-5+i,
			DIALOGBOX_ULY+height+5, XSHADOWCOLOR, VideoPage);
	 	EGALINE(DIALOGBOX_ULX+1, DIALOGBOX_ULY+height+i, DIALOGBOX_ULX+width-5,
			DIALOGBOX_ULY+height+i, XSHADOWCOLOR, VideoPage);
	}
	/*
	_setcolor(XSHADOWCOLOR);
	_rectangle(_GFILLINTERIOR, DIALOGBOX_ULX-5, DIALOGBOX_ULY+5,
		DIALOGBOX_ULX, DIALOGBOX_ULY+height+5);
	_rectangle(_GFILLINTERIOR, DIALOGBOX_ULX, DIALOGBOX_ULY+height,
		DIALOGBOX_ULX+width-5, DIALOGBOX_ULY+height+5); 
	*/

	_rectangle(_GFILLINTERIOR, DIALOGBOX_ULX, DIALOGBOX_ULY, 
		DIALOGBOX_ULX+width, DIALOGBOX_ULY+height);
	
	_setcolor(DIALOGBOXBORDERCOLOR);
	_rectangle(_GBORDER, DIALOGBOX_ULX, DIALOGBOX_ULY, 
		DIALOGBOX_ULX+width, DIALOGBOX_ULY+height);
	
	TEXT43(dialogbox->msg, DIALOGBOX_ULX+10, DIALOGBOX_ULY+10, 
		DIALOGBOXTEXTCOLOR, VideoPage);
	
	for(i=0; i< number; i++)
		TEXT43(dialogbox->list[i].name, DIALOGBOX_ULX+10,
			DIALOGBOX_ULY+1+(2+i)*(CHAR_HEIGHT+4), DIALOGBOXTEXTCOLOR, VideoPage);

	TEXT43(dialogbox->ok_name, DIALOGBOX_ULX+10,
		DIALOGBOX_ULY+1+(2+number)*(CHAR_HEIGHT+4), DIALOGBOXTEXTCOLOR,
			VideoPage);

	On(field[0]);
	for(i=0; i<= number+1; i++)
		DrawMenuItem(&field[i]);
	
	/***************************************/
	/* Translating dialog box inputs and.. */
		
	item= 0;
	flag= TRUE;
	while(flag){
		key= getch();
		if(!key) key= OFF_SET+ getch();
		
		switch(key){
				
			case DN_ARROW:
				Off(field[item]);
				DrawMenuItem(&field[item]);
				item= (item+1)%(number+2);
				On(field[item]);
				DrawMenuItem(&field[item]);
				break;
				
			case UP_ARROW:
				Off(field[item]);
				DrawMenuItem(&field[item]);
				item= (item+number+1)%(number+2);
				On(field[item]);
				DrawMenuItem(&field[item]);
				break;
				
			case ESC:
				Off(field[item]);
				flag= FALSE;
				break;
			
			case RETURN:
				if(item == number || item == number+1){
					Off(field[item]);
					flag= FALSE;
				}
				else if(dialogbox->list[item].type%2 ==0){
					if(buffer2[item][1] == 'N'){
						buffer2[item][1]= 'F';
						buffer2[item][2]= 'F';
						buffer2[item][3]= 0;
					}
					else{
						buffer2[item][1]= 'N';
						buffer2[item][2]= 0;
					}
					DrawMenuItem(&field[item]);
				}
				break;

			default:
				if(item != number && item != number+1){
					ungetch(key);
					ReadIntoField(&field[item], buffer2[item], 
						dialogbox->list[item].type);
					Off(field[item]);
					DrawMenuItem(&field[item]);
					item= (item+1)%(number+2);
					On(field[item]);
					DrawMenuItem(&field[item]);

				}
				break;
		}
	}
	if(key != ESC && item == number){
		
		for(i=0; i< number; i++){
			if(dialogbox->list[i].type == FLOAT)
				sscanf(buffer2[i], "%G", (float *)dialogbox->list[i].ptr); 
		
			else if(dialogbox->list[i].type == INTEGER)
				sscanf(buffer2[i], "%d", (int *)dialogbox->list[i].ptr); 
		
			else if(dialogbox->list[i].type == CHAR)
				sscanf(buffer2[i], "%s", (char *)dialogbox->list[i].ptr); 
		
			else if(dialogbox->list[i].type%2 == 0){
				if(buffer2[i][1] == 'N')
				*((int *)dialogbox->list[i].ptr) |= dialogbox->list[i].type;
				else
				*((int *)dialogbox->list[i].ptr) &= ~dialogbox->list[i].type;
			}
		}
	}
	_putimage(DIALOGBOX_ULX-5, DIALOGBOX_ULY, buffer, _GPSET);
	for(i=0; i<number; i++) free(buffer2[i]);
	free(buffer2);
	free(field);
	_ffree(buffer);
	if(item == number+1) key= ESC;
	return (key);
}

/****************************************************************/

ReadIntoField(field, buffer, type)
MenuItemType field;
int type;
char *buffer;
{
	int c, flag, i=0;
	
	buffer[i]=0;
	flag= TRUE;
	
	while(flag){
		
		c= getch();
		if(!c) c= OFF_SET+ getch();

		if(type == FLOAT && i<12 &&((c>=48 && c<= 57) || c== 'e' ||
			c== 'E' || c== '.' || c== '-' || c== '+'))
			buffer[i++]= c;
		
		else if(type == INTEGER && i<12 &&((c>=48 && c<= 57) || c== '-' || c== '+'))
			buffer[i++]= c;
		
		else if(type == CHAR && (isalnum(c) || c=='.' || c==':'))
			buffer[i++]= c;
		
		else if(type%2 ==0){
			if(buffer[1] == 'N'){
				buffer[0]= 'O';
				buffer[1]= 'F';
				buffer[2]= 'F';
				i=3;
			}
			else{
				buffer[0]= 'O';
				buffer[1]= 'N';
				i=2;
			}
			flag= FALSE;
		}
			
		else if(c == RETURN || c == DN_ARROW) 
			flag= FALSE;
		
		else if(c == BKSP)
			if(i) i--;
		
		buffer[i] = 0;
		DrawMenuItem(field);
	}
}

/****************************************************************/
 
void SetWindowPosition(item, position)
int item, position;
{
	switch(position){
		case FIRSTQUAD:
			WIN.ulx= 3; 
			WIN.uly= MENUBAR_LRY;
			WIN.lrx= SCREENWIDTH/2;
			WIN.lry= (MENUBAR_LRY+SCREENHEIGHT-3)/2;
			break;
			
		case SECONDQUAD:
			WIN.ulx= SCREENWIDTH/2+1;
			WIN.uly= MENUBAR_LRY;
			WIN.lrx= SCREENWIDTH-3;
			WIN.lry= (MENUBAR_LRY+SCREENHEIGHT-3)/2;
			break;
			
		case THIRDQUAD:
			WIN.ulx= 3;
			WIN.uly= (MENUBAR_LRY+SCREENHEIGHT-3)/2+1;
			WIN.lrx= SCREENWIDTH/2;
			WIN.lry= SCREENHEIGHT-3;
			break;
			
		case FOURTHQUAD:
			WIN.ulx= SCREENWIDTH/2+1;
			WIN.uly= (MENUBAR_LRY+SCREENHEIGHT-3)/2+1;
			WIN.lrx= SCREENWIDTH-3;
			WIN.lry= SCREENHEIGHT-3;
			break;
			
		case UPPERHALF:
			WIN.ulx= 3; 
			WIN.uly= MENUBAR_LRY;
			WIN.lrx= SCREENWIDTH-3;
			WIN.lry= (MENUBAR_LRY+SCREENHEIGHT-3)/2;
			break;
			
		case LOWERHALF:
			WIN.ulx= 3;
			WIN.uly= (MENUBAR_LRY+SCREENHEIGHT-3)/2+1;
			WIN.lrx= SCREENWIDTH-3;
			WIN.lry= SCREENHEIGHT-3;
			break;

		case FULLSCREEN:
			WIN.ulx= 3;
			WIN.uly= MENUBAR_LRY;
			WIN.lrx= SCREENWIDTH-3;
			WIN.lry= SCREENHEIGHT-3;
		
		default:
			break;
	}
}

/****************************************************************/

#include <fcntl.h>
#define STDPRN			4
#define LMargin 		10
#define GRAPHICSCONTROLLER 0x3CE

void ScreenDump()
{
	unsigned char far *VideoBuffer, code, buffer[30];
	unsigned far *lowmem;
	int i, j, *intptr, cnt;
	time_t ltime;

	/* Set up binary mode for PRN device */
	BINARYPRN();

	/* Print top margin, header, and set graphics mode */
	for (i=0; i<4; i++){
		code = 0x0D;
		write(STDPRN, &code, 1);
		code = 0x0A;
		write(STDPRN, &code, 1);
	}
	WriteMargin();
	time(&ltime);
	cnt = sprintf(buffer, "%s", ctime(&ltime));
	write(STDPRN, buffer, cnt-1);
	WriteMargin();
	cnt = sprintf(buffer, "%s %G", TimePtr, TimeStep);
	write(STDPRN, buffer, cnt);
	code = 0x0D;
	write(STDPRN, &code, 1);
	code = 0x0A;
	write(STDPRN, &code, 1);

	code = ESC;
	write(STDPRN, &code, 1);
	code = 0x33;
	write(STDPRN, &code, 1);
	code = 0x18;
	write(STDPRN, &code, 1);

	/* Set up video info */
	lowmem = (unsigned far *)0x44E;
	VideoBuffer = (char far *)(0xA0000000 + *lowmem);
	/* Set up graphics controller */
	outpw(GRAPHICSCONTROLLER,0x805);		/* read mode 1
	outpw(GRAPHICSCONTROLLER,0x002);		/* color compare value */
	outpw(GRAPHICSCONTROLLER,0x807);		/* color don't care mask */

	/* read 80 rows from the video PrintBuf and write to printer */
	for (i=0; i<80; i++){
		WriteMargin();
		code = ESC;
		write(STDPRN, &code, 1);
		code = 0x4B;
		write(STDPRN, &code, 1);
		code = (unsigned char)((350-MENUBAR_LRY)&0xFF);
		write(STDPRN, &code, 1);
		code = (unsigned char)((350-MENUBAR_LRY)>>8);
		write(STDPRN, &code, 1);
		for (j=349*80; j>=MENUBAR_LRY*80; j-=80){
			code = ~VideoBuffer[j+i];
			write(STDPRN, &code, 1);
		}
		code = 0x0D;
		write(STDPRN, &code, 1);
		code = 0x0A;
		write(STDPRN, &code, 1);
	}

	/* restore video PrintBuf */
	outpw(GRAPHICSCONTROLLER,5);			/* read mode 0, write mode 0 */
	outpw(GRAPHICSCONTROLLER,7);			/* color don't care */

	/* Reset Printer */
	code = 0x0C;
	write(STDPRN, &code, 1);
	code = ESC;
	write(STDPRN, &code, 1);
	code = 0x40;
	write(STDPRN, &code, 1);
}

/****************************************************************/

void WriteMargin()
{
	char space=32;
	int i;

	for (i=0; i<LMargin; i++) write(STDPRN, &space, 1);
}
/****************************************************************/
